commit e4adae82d0f6cd8752768e71b1e47861ed3e883d
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Feb 19 12:58:40 2010 +0000

    prepare 0.1.6 release

 NEWS         |   21 ++++++++++++++++++++-
 configure.ac |    4 ++--
 2 files changed, 22 insertions(+), 3 deletions(-)

commit ce17922d0ed5bbc337c79cc6051fcdc7d78fc362
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   Thu Oct 15 20:28:25 2009 +0100

    Fix bug report URL for current bugzilla components

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 38cf99fc56425823b11e486effe3f98c1168a905
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   Thu Oct 15 20:24:58 2009 +0100

    fd.o#24559: flag password parameter as secret

 data/idle.manager             |    2 +-
 src/idle-connection-manager.c |    4 +++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 7e720131e95683bf96f4b4db0e262ea19b5d8479
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Feb 19 12:11:12 2010 +0000

    Implement Debug interface (fdo #26646)

 src/idle-connection-manager.c |   12 +++++++++
 src/idle-debug.c              |   53 +++++++++++++++++++++++++++++++++++++++++
 src/idle-debug.h              |    2 +
 src/idle.c                    |   13 ++++++++-
 4 files changed, 78 insertions(+), 2 deletions(-)

commit c52eeda0d4c7a5a99d35fbbf5db49478f6630ad2
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Fri Feb 19 11:46:55 2010 +0000

    idle_debug: refactor to use g_strdup_vprintf

 src/idle-debug.c |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

commit a5b64fe0e33eb6e03eaa05eff4946a12445f76eb
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 18 17:40:06 2010 +0000

    Add ourself to remote-pending while joining the channel (fd.o #25039)

 src/idle-muc-channel.c |   12 ++++++++++++
 1 files changed, 12 insertions(+), 0 deletions(-)

commit b0b127e4c84cc2c0824d971f6bfca030fd8454ea
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 18 18:06:23 2010 +0000

    Bump tp-glib dep to 0.8.0
    
    We are going to use tp_intset_new_containing which has been added to 0.7.26
    but there is no harm to dump to 0.8.

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit d2d1f1db61c823124a9eff60ba9746414ac47683
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 18 14:59:28 2010 +0000

    document IDLE_LOGFILE in man page

 src/telepathy-idle.8.in |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 7e923479272d7ae3d7b66994a5958333fc03b4b0
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Thu Feb 18 14:52:15 2010 +0000

    Add IDLE_LOGFILE support (fd.o #26627)

 src/idle.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 20d7ecf47f5a731b6b5e76c17c896c2415945f73
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Oct 6 22:46:23 2009 -0500

    Fix two valgrind-reported leaks
    
    For some reason, we were strduping the channel name needlessly in
    _channel_normalize_func()
    Also, we forgot to free the bodies returned from idle_text_encode_and_split()

 src/idle-handles.c |    8 ++------
 src/idle-text.c    |    1 +
 2 files changed, 3 insertions(+), 6 deletions(-)

commit 441f063e26ef604926be1e05a073439d758b35fd
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Oct 6 20:45:43 2009 +0100

    idle-connection-manager: remove unused PARAM enum

 src/idle-connection-manager.c |   12 ------------
 1 files changed, 0 insertions(+), 12 deletions(-)

commit e746d0b0ff520dfb3f41519da7c38bbecc14ff32
Author: Guillaume Desmottes <guillaume.desmottes@collabora.co.uk>
Date:   Tue Oct 6 20:44:27 2009 +0100

    idle.manager: add username param
    
    Param was implemented but has been forget in the manager file for some
    reason.

 data/idle.manager |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 0da5af160fe1aee19eaa9f33f5b196bc521b4652
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Mon Sep 14 12:56:58 2009 +0100

    Bump to 0.1.5.1.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 NEWS         |    7 +++++++
 configure.ac |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

commit ee9c0c816f8bdaa8d4927a365116351b6aad2e48
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Mon Sep 14 12:20:01 2009 +0100

    Version 0.1.5.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 NEWS         |    2 +-
 configure.ac |    4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

commit b7a13d8705a41a8f72aab447599ff9bc522548c4
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Mon Sep 14 12:19:23 2009 +0100

    Update NEWS.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 NEWS |   22 +++++++++++++++++++++-
 1 files changed, 21 insertions(+), 1 deletions(-)

commit 20388f1b00cf6e587bdb3a499458fa52cdf8d8e2
Author: Jonny Lamb <jonny.lamb@collabora.co.uk>
Date:   Mon Sep 14 12:19:13 2009 +0100

    Update gitignore.
    
    Signed-off-by: Jonny Lamb <jonny.lamb@collabora.co.uk>

 .gitignore |    6 ++++++
 1 files changed, 6 insertions(+), 0 deletions(-)

commit 6a224e80aeba67f85dad46cb805f34662d483dc2
Merge: 524d8bc 2dc074a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Sep 10 23:34:31 2009 +0100

    Merge branch 'channel-manager'
    
    Reviewed-by: Simon McVittie <simon.mcvittie@collabora.co.uk>
    Signed-off-by: Will Thompson <will.thompson@collabora.co.uk>

commit 2dc074a6fe3f59598d1404933b2c5fafb541b04e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sun Aug 30 23:43:39 2009 +0100

    Implement Destroyable for IM channels

 src/idle-im-channel.c                     |   22 +++++++++++++++++++++-
 tests/twisted/channels/requests-create.py |   10 ++++++++++
 2 files changed, 31 insertions(+), 1 deletions(-)

commit 524d8bc287b82cb23ceb9ba619fe342fc10627e2
Author: elaine <elaine.xiong@sun.com>
Date:   Sat Aug 29 15:12:08 2009 +0100

    Don't explicitly return void in void functions.
    
    Sun's C compiler doesn't support this. This is a slightly modified
    version of the patch on fd.o #22958, removing redundant returns at the
    end of functions.
    
    Signed-off-by: Will Thompson <will.thompson@collabora.co.uk>

 src/idle-connection.c            |    2 +-
 src/idle-muc-channel.c           |    8 ++++----
 src/idle-parser.c                |    3 ++-
 src/idle-ssl-server-connection.c |   32 +++++++++++++++++++++-----------
 4 files changed, 28 insertions(+), 17 deletions(-)

commit 1fc2c51de60673f5a568824ddd7fc62349e4f09c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 14:22:33 2009 +0100

    Test that Connection.GetInterfaces() includes Requests

 tests/twisted/channels/requests-create.py |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit ea054aeec99fc43a09a1896f03544b28c40d52e5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 02:49:33 2009 +0100

    Implement respawning for 1-1 channels.

 src/idle-im-channel.c                     |   32 +++++++++++++++++++++++----
 src/idle-im-manager.c                     |   20 ++++++++++++++--
 tests/twisted/channels/requests-create.py |   34 +++++++++++++++++++++++++++-
 3 files changed, 76 insertions(+), 10 deletions(-)

commit bddeac559400301194e05bb4250eee2c06cf9a54
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 02:27:26 2009 +0100

    Implement more mandatory properties for 1-1 channels

 src/idle-im-channel.c |   98 ++++++++++++++++++++++++++++++++++++++++++++-----
 src/idle-im-manager.c |    8 ++-
 2 files changed, 93 insertions(+), 13 deletions(-)

commit e9ca7f9a74b03be97af6d4efa72889b7f7b88fe5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 02:27:12 2009 +0100

    Use constants.py in requests-create.py

 tests/twisted/channels/requests-create.py |   58 +++++++++++++----------------
 1 files changed, 26 insertions(+), 32 deletions(-)

commit 0f6efafaeb06612660b9f0e018d934a0063dd5ba
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 02:14:02 2009 +0100

    Allow parting MUCs with RemoveMembers.
    
    Users of TpGroupMixin have to opt into this working for hysterical
    raisins, but it works fine in Idle once we turn it on. Also hook up the
    Group interface's D-Bus properties.

 src/idle-muc-channel.c                 |    3 +++
 tests/twisted/channels/requests-muc.py |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit aa167c5c416023ef912c4db288264c2de68d1522
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 02:01:03 2009 +0100

    Test Creating and Ensuring MUCs.

 tests/twisted/Makefile.am              |    1 +
 tests/twisted/channels/requests-muc.py |  105 ++++++++++++++++++++++++++++++++
 tests/twisted/idletest.py              |   13 ++++-
 3 files changed, 118 insertions(+), 1 deletions(-)

commit 56bc2adff9f42d2e614e8f3eb8c50a5c54dacff8
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 02:00:40 2009 +0100

    Update test constants from Gabble

 tests/twisted/constants.py |  204 ++++++++++++++++++++++++++++++++++++++++++--
 1 files changed, 195 insertions(+), 9 deletions(-)

commit 1e41b6e37c84eef7548a272ae62b20acc0be0ff1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 01:41:31 2009 +0100

    Set Initiator and Requested on new MUC channels

 src/idle-muc-channel.c |    4 +++-
 src/idle-muc-channel.h |    2 +-
 src/idle-muc-manager.c |   14 ++++++++------
 3 files changed, 12 insertions(+), 8 deletions(-)

commit afdcca3d687805bfbcc75f4e09c311d2e2050a5c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 01:13:32 2009 +0100

    Add idle_muc_channel_new()

 src/idle-muc-channel.c |    8 ++++++++
 src/idle-muc-channel.h |    4 ++++
 src/idle-muc-manager.c |    2 +-
 3 files changed, 13 insertions(+), 1 deletions(-)

commit 46b003f23be2d157f11fc16210013666f34e73e7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Aug 29 01:01:10 2009 +0100

    Add more mandatory properties to MUC channels

 src/idle-muc-channel.c |  120 ++++++++++++++++++++++++++++++++++++++++++------
 1 files changed, 106 insertions(+), 14 deletions(-)

commit 6d399432f072117d897936bbb38f809175b16423
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu Aug 27 10:17:13 2009 +0100

    Tests: Fix a typo in room-joining code

 tests/twisted/idletest.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit f5aad064b926ba94e195e563f649ecac1b5fca65
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sun Aug 23 18:34:49 2009 +0100

    Don't emit NewChannels twice when joining
    
    Before, as soon as you created the channel CreateChannel would return,
    and NewChannels would be emitted; later, when you finish joining the
    channel, it'd be emitted again. This patch restores the
    currently-considered-correct behaviour whereby the new channel is only
    announced when you've finished joining it (successfully or not).

 src/idle-muc-manager.c                     |   82 +++++++++++++++++++---------
 tests/twisted/channels/join-muc-channel.py |    1 +
 2 files changed, 58 insertions(+), 25 deletions(-)

commit 17d265ec76e917e64f1490222afcde1cdb4c75d0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sun Aug 23 18:32:36 2009 +0100

    Add "is this channel ready?" accessor

 src/idle-muc-channel.c |   11 +++++++++++
 src/idle-muc-channel.h |    2 ++
 2 files changed, 13 insertions(+), 0 deletions(-)

commit 60adfcd869db4bee93d108fe4c2c345bb5621c4e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sun Aug 23 18:11:25 2009 +0100

    Quiet build.

 configure.ac           |    5 +++++
 extensions/Makefile.am |   19 ++++++++++---------
 src/Makefile.am        |   10 +++++-----
 3 files changed, 20 insertions(+), 14 deletions(-)

commit bc1ecfdc0ecf1700a9585d97e7d30b26e714af41
Merge: 6ed3fe2 66d5954
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Tue Jul 7 15:26:36 2009 +0100

    Merge branch 'master' into channel-manager
    
    Conflicts:
    	src/idle-muc-manager.c
    	tests/twisted/Makefile.am

commit 66d5954213d167425218a9b977d6b55506e62685
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Sat Jun 20 18:22:15 2009 +0100

    Define _GNU_SOURCE not __USE_GNU to get strnlen(3).
    
    __USE_GNU is a glibc-internal macro that we should not be using; this
    was causing a build failure in openSUSE, which has a glibc from the
    future.
    
    idle-connection.c doesn't actually use strnlen.
    
    Based on a patch by Vincent Untz, which didn't compile for me: it seemed
    like string.h was getting #included before the #define, and thus strnlen
    wasn't exposed. Making the #define the first thing in idle-parser.c
    fixed this.
    
    Fixes: fd.o#22291

 src/idle-connection.c |    2 --
 src/idle-parser.c     |    5 +++--
 2 files changed, 3 insertions(+), 4 deletions(-)

commit 9f23b67b1173278af4059b757e8cea3a80b19d98
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu May 28 14:15:16 2009 +0100

    bump to 0.1.4.1

 NEWS         |    3 +++
 configure.ac |    2 +-
 2 files changed, 4 insertions(+), 1 deletions(-)

commit c860b85b77d51e4061682ba26b7d2029d79af897
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu May 28 13:38:57 2009 +0100

    version 0.1.4

 NEWS         |   19 +++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 21 insertions(+), 2 deletions(-)

commit 4d0b66c6b88fe5d45b57da9b54d5282899eec8d0
Merge: 855eb8e 85ed21c
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu May 28 00:28:57 2009 +0100

    Merge branch 'sent-signal'
    
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>

commit 855eb8ed03bc8220a407366fda9fe2dc03b538eb
Merge: d8d2d91 ea5267d
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu May 28 00:19:27 2009 +0100

    Merge commit 'jonner/username-param'
    
    Reviewed-by: Will Thompson <will.thompson@collabora.co.uk>

commit d8d2d91424f10b8bfb954651aa0538ed777eb8f8
Merge: 6dfcce7 a50ff8a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu May 28 00:07:49 2009 +0100

    Merge branch 'quit-message'
    
    Reviewed-by: Sjoerd Simons <sjoerd.simons@collabora.co.uk>

commit 85ed21cc3ca97811ef23a946077228504e7d68c9
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu May 28 00:04:48 2009 +0100

    Correct the error for unsupported message types

 src/idle-text.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 29c245a7d938d915834770a91854d4cbd212f8cd
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Thu May 28 00:02:36 2009 +0100

    Document what idle_text_encode_and_split does
    
    It's not obvious at a first glance what it's doing, and why. Also, I
    rewrapped its argument list, in contravention of the style of other Idle
    source files, because it was ridiculously unwieldy.

 src/idle-text.c |   24 +++++++++++++++++++++++-
 1 files changed, 23 insertions(+), 1 deletions(-)

commit d1b2bec43a1597c5477041a27bc5d4cbfe4f15f2
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed May 27 23:54:35 2009 +0100

    Don't include "PRIVMSG ..." in Sent signals
    
    The previous fix was incorrect, as it emitted the same string in Sent
    that it sends over the wire.

 src/idle-text.c                                 |   29 ++++++++++++++++------
 src/idle-text.h                                 |    2 +-
 tests/test-text-encode-and-split.c              |    8 +++++-
 tests/twisted/messages/split-msg-sent-signal.py |    9 +++++-
 4 files changed, 36 insertions(+), 12 deletions(-)

commit 6dfcce7fca726afaeca64e4fbe65faa14b436043
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed May 27 23:15:05 2009 +0100

    Fix error prefix so that tests pass

 tests/twisted/constants.py |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit a3fef5fc1860f8c20e1a8233c620a80495f5fb5e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed May 27 23:13:51 2009 +0100

    Make nickname validation a for loop.
    
    I think this is clearer; it makes the loop's conditions more obvious.

 src/idle-handles.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

commit a522bed9acfef27e9a21e505e7b39b252a0426a1
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed May 27 23:04:47 2009 +0100

    Correct the description of accept-invalid-nicks

 tests/twisted/messages/accept-invalid-nicks.py |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit ba698d41b168e98abe67ec1327829b74eb7c1f06
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Wed May 27 23:04:37 2009 +0100

    Don't spam DEBUG for each char in a nick

 src/idle-handles.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit b0dd049e675c1a81a71769ffaae7e2d4e19c2d52
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Feb 18 23:55:43 2009 -0600

    Bug #17354 - Emits Send immediately, even if the message is queued
    
    Contrary to what the bug implies, it was decided that it's OK to emit the 'Sent'
    signal immediately even if the message is only queued and is not yet actually
    sent.  But there is still a problem in that if the message was long enough to be
    split into multiple messages, only one 'Sent' signal is emitted instead of one
    for each separate message.
    
    This patch emits a signal for each individual message.

 src/idle-text.c                                 |    6 ++--
 tests/twisted/Makefile.am                       |    1 +
 tests/twisted/messages/split-msg-sent-signal.py |   38 +++++++++++++++++++++++
 3 files changed, 42 insertions(+), 3 deletions(-)

commit a50ff8a325473983d1ffe70e3ee9382bf2b8f797
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Mar 27 23:38:00 2009 +0000

    Remove spurious 'register' flags from idle.manager

 data/idle.manager |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit deb8d8f23912550b2b80190e8dad4a76817bf95a
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Mar 27 23:36:06 2009 +0000

    Remove obnoxious default Quit message.

 data/idle.manager             |    1 -
 src/idle-connection-manager.c |    2 +-
 2 files changed, 1 insertions(+), 2 deletions(-)

commit ca441ef2e95230775271a92e76433a859dae2bb4
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Mar 27 23:35:47 2009 +0000

    Cope with Connection::quit-message being NULL.

 src/idle-connection.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 5258ef39b7e24faefd733d30b9abcf8453adb2f2
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Feb 24 15:01:58 2009 -0600

    Be strict for what nicks we allow, and liberal for what nicks we accept from others
    
    Bip has a nasty habit of sending backlog activity from a fictional '-bip' user.
    Unfortunately, a nick with a leading '-' character is illegal according to the
    IRC RFCs, but we have to accept it since people appear to be using it in the
    wild.
    
    This patch adds a flag to the nick validation script that specifies whether we
    should use strict mode or lenient mode.  We use strict mode for validating local
    nicknames, and lenient mode for validating remote nicknames.

 src/idle-connection-manager.c                  |    2 +-
 src/idle-connection.c                          |    1 +
 src/idle-handles.c                             |   52 ++++++++++++++++++------
 src/idle-handles.h                             |    2 +-
 src/idle-muc-channel.c                         |    1 +
 src/idle-muc-factory.c                         |    2 +
 src/idle-server-connection.c                   |    2 +-
 tests/twisted/Makefile.am                      |    1 +
 tests/twisted/connect/invalid-nick.py          |    6 +++
 tests/twisted/messages/accept-invalid-nicks.py |   31 ++++++++++++++
 10 files changed, 84 insertions(+), 16 deletions(-)

commit 1b6f1549a8c66356a9ea2d4a7240be98efb38ec7
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 20 15:49:11 2009 -0600

    Bug 17430 Connections' object path etc. should contain uniquifying string
    
    Add the hex value of the connection's memory address to the end fo the object
    path as a uniquifier.

 src/idle-connection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 79673a760ccd017f21c15de12215fe8a569a4e1e
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Feb 18 23:40:24 2009 -0600

    Big test cleanup
    
    Use constants rather than strings or magic numbers where it makes sense,
    remove the duplicate 'irc-privmsg' event and simply use the more general
    stream-PRIVMSG event everywhere, simplify room-contact-mixup significantly by
    removing unnecessary setup

 tests/twisted/connect/invalid-nick.py        |   11 +++--
 tests/twisted/constants.py                   |    1 +
 tests/twisted/idletest.py                    |    8 ----
 tests/twisted/messages/long-message-split.py |   11 ++---
 tests/twisted/messages/message-order.py      |   18 +++++---
 tests/twisted/messages/room-contact-mixup.py |   53 +++++--------------------
 6 files changed, 34 insertions(+), 68 deletions(-)

commit ea5267d4d861db008abe93a33878a6f1f669db31
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Feb 18 14:55:21 2009 -0600

    Add a CM param for 'username'
    
    This allows clients to specify a username (that will be used by the USER
    command).  This should fix bug #16499.

 src/idle-connection-manager.c |    4 ++++
 src/idle-connection.c         |   22 +++++++++++++++++++++-
 tests/twisted/idletest.py     |    1 +
 3 files changed, 26 insertions(+), 1 deletions(-)

commit ab827a883d49e8f5f813f2e68bcb64a864264271
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Feb 18 14:00:13 2009 -0600

    Generate ChangeLog for tarball releases
    
    Stole the changelog-generating machinery from gabble.  This also gives the
    maintainer-upload-release target for free as well.

 Makefile.am        |    2 ++
 tools/telepathy.am |   27 +++++++++++++++++++++++++++
 2 files changed, 29 insertions(+), 0 deletions(-)

commit 320ec658b7d96f5b975439d26948d0a86cc88077
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Feb 18 11:05:32 2009 -0600

    bump nano version

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit ceaaab52fee088514eb79dba0bf133ee68d1e281
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Feb 18 10:32:18 2009 -0600

    version 0.1.3

 NEWS         |   27 +++++++++++++++++++++++++++
 configure.ac |    4 ++--
 2 files changed, 29 insertions(+), 2 deletions(-)

commit 510dc386b32adc28fc8309c538c083c413b9e09b
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Feb 18 10:15:52 2009 -0600

    Fix builddir!=srcdir issues
    
    Some of the tests were not running properly in distcheck since I had forgotten a
    couple of EXTRA_DIST incantations and was trying to load the ssl cert/key files
    from the current directory rather than the src directory.  The latter issue I
    worked around by setting an env variable for the location of the files since I
    really didn't want to do something like idletest.py.in to get autoconf to
    pre-process the python source file to get the correct srcdir location

 tests/twisted/Makefile.am       |    5 ++++-
 tests/twisted/idletest.py       |    5 +++--
 tests/twisted/tools/Makefile.am |    2 ++
 3 files changed, 9 insertions(+), 3 deletions(-)

commit 4fb27c730a15b5d37ba6ce9769c71d720896af1b
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Feb 17 23:31:03 2009 -0600

    Update the text-encode-and-split test to the new internal API
    
    I had added a 'max lenth' parameter to the function but apparently forgot to
    update this test.

 tests/test-text-encode-and-split.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 9807d0f50e6752f958c1ee071aaeeb1cf536f995
Merge: 619cc9d dbdbbb9
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Feb 17 17:02:30 2009 -0600

    Merge branch 'long-message-split'
    
    Conflicts:
    	tests/twisted/Makefile.am

commit 619cc9d78913d8f0a0d48e5e52aeb404e46884c6
Merge: 98c90f3 8cb7eba
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Feb 17 15:24:30 2009 -0600

    Merge branch 'twisted-tests'

commit 98c90f34fab760c8207ae0101b79a3f8b6dff7fc
Merge: 6933765 57eff23
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Feb 17 15:24:20 2009 -0600

    Merge branch 'invalid-nick'
    
    Conflicts:
    	tests/twisted/Makefile.am

commit 8cb7ebaddd424c08a686edf5b46f71125b3a1945
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Feb 17 14:58:32 2009 -0600

    Fix a test crash in connect/server-quit-ignore.py
    
    This test was only failing when I ran the full test suite, not when I ran the
    test by itself.  Running under valgrind indicated that my _force_disconnect()
    timeout function was attempting to use an already-freed object:
    
        ==19693== Invalid read of size 8
        ==19693==    at 0x52B02AC: g_type_check_instance_cast (in /usr/lib/libgobject-2.0.so.0.1800.4)
        ==19693==    by 0x407719: _force_disconnect (idle-connection.c:438)
        ==19693==    by 0x55042BA: (within /usr/lib/libglib-2.0.so.0.1800.4)
        ==19693==    by 0x5503AFA: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.1800.4)
        ==19693==    by 0x55072BC: (within /usr/lib/libglib-2.0.so.0.1800.4)
        ==19693==    by 0x55077EC: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.1800.4)
        ==19693==    by 0x5E0A9C5: tp_run_connection_manager (run.c:264)
        ==19693==    by 0x406504: main (idle.c:38)
        ==19693==  Address 0x6cd3258 is 0 bytes inside a block of size 328 free'd
        ==19693==    at 0x4C2161F: free (vg_replace_malloc.c:323)
        ==19693==    by 0x52B17BA: g_type_free_instance (in /usr/lib/libgobject-2.0.so.0.1800.4)
        ==19693==    by 0x52B45C2: g_value_unset (in /usr/lib/libgobject-2.0.so.0.1800.4)
        ==19693==    by 0x52A7207: g_signal_emit_valist (in /usr/lib/libgobject-2.0.so.0.1800.4)
        ==19693==    by 0x52A76D2: g_signal_emit (in /usr/lib/libgobject-2.0.so.0.1800.4)
        ==19693==    by 0x4076F5: _finish_shutdown_idle_func (idle-connection.c:430)
        ==19693==    by 0x5503AFA: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.1800.4)
        ==19693==    by 0x55072BC: (within /usr/lib/libglib-2.0.so.0.1800.4)
        ==19693==    by 0x55077EC: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.1800.4)
        ==19693==    by 0x5E0A9C5: tp_run_connection_manager (run.c:264)
        ==19693==    by 0x406504: main (idle.c:38)
    
        GLib-GObject-WARNING **: invalid unclassed pointer in cast to `IdleConnection'
        aborting...
    
    Cancelling the timeout when shutting down the connection seems to fix it.  Now
    all tests pass again \o/

 src/idle-connection.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 7ccb8c5ddc04ecaaec12b5a85ccc7a0d828269a9
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Feb 16 22:16:29 2009 -0600

    Fix a small leak reported by valgrind
    
    Valgrind report was:
    ==24778== 240 bytes in 2 blocks are definitely lost in loss record 22 of 33
    ==24778==    at 0x4C2291E: malloc (vg_replace_malloc.c:207)
    ==24778==    by 0x550C272: g_malloc (in /usr/lib/libglib-2.0.so.0.1800.4)
    ==24778==    by 0x5539314: g_io_channel_unix_new (in /usr/lib/libglib-2.0.so.0.1800.4)
    ==24778==    by 0x4100E5: ssl_do_connect (idle-ssl-server-connection.c:480)
    ==24778==    by 0x4101E6: ssl_dns_result_cb (idle-ssl-server-connection.c:504)
    ==24778==    by 0x41136D: _resolve_idle_func (idle-dns-resolver.c:154)
    ==24778==    by 0x5503AFA: g_main_context_dispatch (in /usr/lib/libglib-2.0.so.0.1800.4)
    ==24778==    by 0x55072BC: (within /usr/lib/libglib-2.0.so.0.1800.4)
    ==24778==    by 0x55077EC: g_main_loop_run (in /usr/lib/libglib-2.0.so.0.1800.4)
    ==24778==    by 0x5E0A9C5: tp_run_connection_manager (in /usr/lib/libtelepathy-glib.so.0.22.1)
    ==24778==    by 0x406504: main (idle.c:38)
    
    This was observed while valgrind-ing the connect-ssl-fail.py test

 src/idle-ssl-server-connection.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 9fcc28e7ad38f40c105aaff735b284b738e921a0
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Feb 16 21:32:36 2009 -0600

    Fix another infinite loop on connection failure
    
    This is similar to the ssl infinite loop that was fixed earlier.  I'm not sure
    if this was introduced in a faulty merge or if I somehow overlooked it before :/
    
    Uncovered by the connect/connect-fail.py test

 src/idle-server-connection.c |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit 36348b1fae8f1ed454183aa1be93005fde64beaa
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Feb 17 12:06:27 2009 -0600

    messages/leading-space.py: simplify this test significantly
    
    wjt questioned the need for the subclassed server in his review and eliminating
    the server actually makes things much simpler.  At the same time, I realized
    that there's really no need for the user to join a chat room in order to test
    out this behavior, so remove that whole piece and just send a privmsg directly
    and test whether it is parsed correctly.

 tests/twisted/idletest.py               |    1 +
 tests/twisted/messages/leading-space.py |   43 +++++++-----------------------
 2 files changed, 11 insertions(+), 33 deletions(-)

commit 44e4d1f6e6373213a52a1f5c01b86fa7fe3bdadb
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Feb 17 11:19:44 2009 -0600

    Rework join-muc-channel.py test to not depend on object path
    
    Yes, this is much much cleaner.  Also cleaned it up a lot by using constants
    from constants.py

 tests/twisted/channels/join-muc-channel.py |   34 +++++++++++++++++----------
 tests/twisted/constants.py                 |    2 +
 2 files changed, 23 insertions(+), 13 deletions(-)

commit 01fd11cb43fc8890bd3eba69c639a7eeba268dae
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Feb 17 10:53:27 2009 -0600

    message-order test: use loop to make this a bit cleaner

 tests/twisted/messages/message-order.py |   20 ++++++++------------
 1 files changed, 8 insertions(+), 12 deletions(-)

commit 44ec4723a51a3d9aa9fe0ccb8530a1c91522f147
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Feb 16 22:57:42 2009 -0600

    Disconnect in idletest in case the test fails and doesn't disconnect
    
    This theoretically should prevent a failing test to affect the following tests
    Also remove a stray mention of gabble.  Findings from wjt's review

 tests/twisted/idletest.py |   11 ++++++++---
 1 files changed, 8 insertions(+), 3 deletions(-)

commit fccb2e9f055b0a539174b4e7f425f1beb93d6442
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Feb 16 22:53:14 2009 -0600

    Reduce test chatter when not in verbose mode
    
    I was print()ing a lot of things in my BaseIRCServer class, which was cluttering
    up the test output and making it hard to easily glance and see the results.
    Modified so that it only prints out when in verbose mode.

 tests/twisted/idletest.py |   20 +++++++++++++-------
 1 files changed, 13 insertions(+), 7 deletions(-)

commit c3649eaad00b88b487d491ce119d65ebcfb01627
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Feb 16 22:39:42 2009 -0600

    Add the constants.py file from gabble
    
    Use the constants in a few tests

 tests/twisted/channels/join-muc-channel.py |    8 ++--
 tests/twisted/constants.py                 |   45 ++++++++++++++++++++++++++++
 2 files changed, 49 insertions(+), 4 deletions(-)

commit 57eff2309968c8ac6157194d5183bf384e823db5
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 23:52:16 2009 -0600

    Clean up some connections in invalid-nick test
    
    Also assert that the dbus exception is the correct one.  Changes per wjt's
    review.

 tests/twisted/connect/invalid-nick.py |   39 +++++++++++++++-----------------
 1 files changed, 18 insertions(+), 21 deletions(-)

commit dbdbbb96349443a48e741f07d175808899bc343f
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 23:20:35 2009 -0600

    Assume worst-case relay prefix before we get user info
    
    Finding from wjt's review.  I wasn't able to find a max limit on userlength, but
    the 3 IRC servers that I tested (freenode, gimpnet, and ircd-hybrid on localhost
    as shipped by debian) all had limits between 8-10 characters.  I added a little
    padding and made username worst-case 18 chars.

 src/idle-connection.c |   10 +++++++++-
 1 files changed, 9 insertions(+), 1 deletions(-)

commit 6933765064960d84c71747873851393ed88f4c9b
Merge: ad2a004 d471f42
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 19:39:19 2009 -0600

    Merge branch 'room-contact-mixup'

commit ad2a004f8aa490f756708c42b0d8b1f1759584c1
Merge: fda6247 4a64d98
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 19:37:25 2009 -0600

    Merge branch 'gimpnet-quit'
    
    Conflicts:
    
    	src/idle-server-connection.c

commit fda62472258ddbb0cb512de5958763ada028e5d1
Merge: 39ee883 ae92668
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 17:38:49 2009 -0600

    Merge branch 'leakfix'

commit 39ee883cfe3ede415fee8f4ae87636cc2024053c
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Thu Jan 22 11:29:25 2009 -0600

    Add documentation for IRC message spec
    
    If you haven't worked with it in a little while, it can be a little challenging
    to remember what the different characters mean for the IRC message spec.  This
    just adds a small comment describing each of the format letters so that it's
    easier to add new IRC message types in the future.

 src/idle-parser.c |   11 +++++++++++
 1 files changed, 11 insertions(+), 0 deletions(-)

commit efe60c1b62ebf41c2c2f0336d7b5322454744a92
Merge: 18a3cd1 492c891
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 17:31:52 2009 -0600

    Merge branch 'fd-double-close'
    
    Conflicts:
    
    	src/idle-ssl-server-connection.c

commit 18a3cd12be7976cb00123537b2575d572feedf61
Merge: 7730041 40fa184
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 17:30:24 2009 -0600

    Merge branch 'ssl-infinite-loop'

commit d471f42675222cce620a219b36791e7f0e69bb5f
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Jan 28 11:27:19 2009 -0600

    Re-work the room-contact-mixup test with alban's suggestions
    
    use a signal handler on the dbus signal to set a global flag and assert that the
    flag is false at the end rather than waiting for a signal we don't want to get.
    I tested that this still failed without the patch and passes after, and it makes
    the test a bit cleaner (and runs faster).

 tests/twisted/messages/room-contact-mixup.py |   35 +++++++++++++------------
 1 files changed, 18 insertions(+), 17 deletions(-)

commit a88b5955d95ba5ed1fa7cd23b574883c5a017543
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Jan 27 17:24:59 2009 -0600

    Fix Bug #19766: private messages no longer delivered to group chat
    
    This could perhaps be a slightly controversial change.  The reason that the bug
    happened was that telepathy-idle's room handle repository normalizer function
    had some special code to make joining chatrooms more user-friendly.  Basically,
    if the user specified a chatroom 'foo', it would assume you meant '#foo' and
    automatically prepend the '#' character.
    The way the parser currently works is that when we get in a privmsg, we try to
    parse the 'destination' of the privmsg as both a contact and a room. The way we
    determine if it's a valid room or not is by calling tp_handle_ensure(room_repo,
    ...) (and same for determining valid contacts).  Unfortunately, because of the
    automatic #-prepending this means that a single privmsg destination can be both
    a valid contact and a valid channel name, so if the user is in a channel with
    the same name as their nick (but without the leading #), the privmsg will be
    handled by both the IMFactory and the MUCFactory

 src/idle-handles.c |    6 ------
 1 files changed, 0 insertions(+), 6 deletions(-)

commit 919ee9b1448430737f89056209280947ec5ade72
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Jan 27 17:23:12 2009 -0600

    Add test for Bug #19766: private messages deliver to group chat
    
    This test currently fails because the user joins a channel with the same name as
    the user, and when a remote contact sends a private message to the user it gets
    signalled as 'Received' on both the private chat channel and the group chat
    channel

 tests/twisted/Makefile.am                    |    1 +
 tests/twisted/messages/room-contact-mixup.py |   87 ++++++++++++++++++++++++++
 2 files changed, 88 insertions(+), 0 deletions(-)

commit 155488bc72498bb1c2acf78cd4a001836e21e54b
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 16:05:51 2009 -0600

    Split long messages properly (Bug #17392)
    
    Use the newly-added idle_connection_get_max_message_length() API to split long
    messages so that they allow for the server to add a prefix onto the messages
    that it relays to others instead of simply using 512 as the max message length
    
    I had to modify the test a bit to get it to behave like a real IRC server, but
    now the test passes fine, and I did quite a bit of manual testing (copy/pasting
    large chunks of test between two accounts) and have not seen any issues yet.
    Part of my manual testing included copy/pasting large amounts of unicode text
    from various wikipedia articles in other languages, so I believe that the utf-8
    splitting issue is also fixed properly in this branch.

 src/idle-connection.c                        |    4 +++-
 src/idle-connection.h                        |    2 +-
 src/idle-text.c                              |    7 ++++---
 src/idle-text.h                              |    2 +-
 tests/twisted/messages/long-message-split.py |    9 ++++++++-
 5 files changed, 17 insertions(+), 7 deletions(-)

commit 5edc8f54cafe32ac1daf37a9c940ee81b2ce92f8
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 15:20:43 2009 -0600

    Store our user host prefix to calculate max msg length
    
    After logging in, query information about ourselves so that we know what prefix
    string will be tacked onto the beginning of our messages by the server when they
    are relayed on to other users.  This will allow us to calculate our max message
    length properly.
    
    This patch also adds a new API method idle_connection_get_max_message_length()
    that allows others to query this information without knowing anything about the
    actual host / prefix string.

 src/idle-connection.c |   46 ++++++++++++++++++++++++++++++++++++++++++++++
 src/idle-connection.h |    1 +
 src/idle-parser.c     |    1 +
 src/idle-parser.h     |    1 +
 4 files changed, 49 insertions(+), 0 deletions(-)

commit c573b2b2cfffd13062dee546a150798ec4356cb3
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Feb 13 13:54:36 2009 -0600

    Don't split a utf-8 codepoint in half when splitting long message
    
    Basic approach: find the place we would normally break the message, and walk
    back to the previous utf-8 character start.

 src/idle-text.c |   33 ++++++++++++++++-----------------
 1 files changed, 16 insertions(+), 17 deletions(-)

commit 2c8cce859dafdd85d409010c505883a6c24da8a7
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Jan 30 15:47:40 2009 -0600

    Add a test for improper splitting of long messages (Bug #17392)
    
    See the bug for details, but essentially, telepathy-idle will internally split
    long messages (those above the IRC max length of 512) and send them in multiple
    messages.  The problem is that the server then has to relay them on to the other
    members of the channel, and when it does this, it adds a ':nick!server.name here
    ' prefix onto the message.  So if our message was exactly 512 bytes, when this
    prefix gets added, it needs to chop some of the message off the end to fit under
    the 512-char limit.  It does so silently, unfortunately.  So we'll need to
    either limit our max messages to a value considerably lower than 512 to leave
    room for the server to add their prefix or we'll need to figure out a way to
    calculate very closely what the prefix is going to be (for the longest possible
    nickname)

 tests/twisted/Makefile.am                    |    1 +
 tests/twisted/messages/long-message-split.py |   63 ++++++++++++++++++++++++++
 2 files changed, 64 insertions(+), 0 deletions(-)

commit dfb5b76c455830428d6481e6318b184a456c2b46
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Jan 30 14:51:37 2009 -0600

    Validate nicks per the IRC RFC
    
    Previously we were allowing the nick to consist of any unicode alpha or digit
    characters, but the IRC spec (RFC2812 section 2.3.1) is very explicit about
    which characters are valid for a nick, and it's only ascii chars.
    
    In addition, we weren't disallowing '-' as the first character of a nickname as
    required by the IRC spec.
    
    Added a few additional tests for valid and invalid nicks

 src/idle-handles.c                    |   19 ++++++++++---------
 tests/twisted/connect/invalid-nick.py |    8 ++++++++
 2 files changed, 18 insertions(+), 9 deletions(-)

commit 00ead0bb95daa75de7be57f555f5fa5f05371cb3
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Jan 30 13:45:25 2009 -0600

    Expose the nick validation function and use it in the CM
    
    Add a filter for the 'account' param of the RequestConnection method so that it
    can check if the passed nickname is valid for an IRC nick and reject it if not.
    Previously, telepathy-idle happily accepted invalid nicknames and then didn't
    provide any decent feedback about what was wrong when the 'login' failed.

 src/idle-connection-manager.c |   18 +++++++++++++++++-
 src/idle-handles.c            |    4 ++--
 src/idle-handles.h            |    1 +
 3 files changed, 20 insertions(+), 3 deletions(-)

commit ac268e98767da9a2e4d10155fa612cb5b55bb8ef
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Jan 30 13:43:56 2009 -0600

    Add test for invalid nicknames
    
    telepathy-idle should not blindly accept invalid nicknames -- it should do a
    validity check on them and reject them if they're not valid IRC nicks.  This
    test does that.  Fix will come soon.

 tests/twisted/Makefile.am             |    1 +
 tests/twisted/connect/invalid-nick.py |   58 +++++++++++++++++++++++++++++++++
 2 files changed, 59 insertions(+), 0 deletions(-)

commit 6ed3fe28674529814ced37aec1005ccd60846758
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Thu Jan 29 15:19:22 2009 -0600

    Advertise the Requests interface, add test
    
    Borrow a test from gabble for Requests.CreateChannel and modify it to fit idle.
    This is just a very cursory test fo the Requests interface.

 src/idle-connection.c                     |    1 +
 tests/twisted/Makefile.am                 |    1 +
 tests/twisted/channels/requests-create.py |   83 +++++++++++++++++++++++++++++
 3 files changed, 85 insertions(+), 0 deletions(-)

commit 6d197ed30d0f4fb17d316be966206782cbbfe1e3
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Thu Jan 29 12:24:27 2009 -0600

    Speed up the tests a bit
    
    When I was figuring out the test framework and trying to get things to work, I
    had bumped up the time out on a bunch of tests to 10s rather than the default 5.
    This means that a timeout failure takes a lot longer to happen and there's
    really no need for a full 10s timeout.  Also, when testing that messages are
    sent in the right order, there's no need to send 10 messages, so cut a few of
    them.  Since there's a built-in 2s delay between each sent message, that means
    the test was always taking *at least* 20s to execute.

 tests/twisted/channels/join-muc-channel.py   |    2 +-
 tests/twisted/connect/connect-success-ssl.py |    2 +-
 tests/twisted/connect/connect-success.py     |    2 +-
 tests/twisted/messages/leading-space.py      |    2 +-
 tests/twisted/messages/message-order.py      |   12 +-----------
 5 files changed, 5 insertions(+), 15 deletions(-)

commit 6ba4f0740bd069e6925dca7cea6e1b465ffc3b42
Author: Jonathon Jongsma <jjongsma@gnome.org>
Date:   Mon Jan 5 15:12:36 2009 -0600

    Implement the TpExportableChannel interface
    
    To complete the switch from TpChannelFactory to TpChannelManager, the
    IdleIMChannel and IdleMUCChannel classes must implement the TpExportableChannel
    interface.  This implementation is highly influenced by the Salut implementation

 src/idle-im-channel.c  |   54 ++++++++++++++++++++++++++++++++++++++++-------
 src/idle-im-channel.h  |    2 +
 src/idle-muc-channel.c |   39 ++++++++++++++++++++++++++++++++++
 src/idle-muc-channel.h |    2 +
 4 files changed, 89 insertions(+), 8 deletions(-)

commit c90f550bd7840179f78278cb6d36bc63670afed6
Author: Jonathon Jongsma <jjongsma@gnome.org>
Date:   Mon Jan 5 13:40:58 2009 -0600

    First pass at porting IdleMUCFactory to IdleMUCManager

 src/idle-muc-factory.c |  632 ------------------------------------
 src/idle-muc-factory.h |   51 ---
 src/idle-muc-manager.c |  827 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/idle-muc-manager.h |   51 +++
 4 files changed, 878 insertions(+), 683 deletions(-)

commit 027f8d666388ddcdb47e99ebed448a519074db04
Author: Jonathon Jongsma <jjongsma@gnome.org>
Date:   Sat Jan 3 14:43:01 2009 -0600

    Initial transition from IdleIMFactory to IdleIMManager
    
    using new TpChannelManager interface instead of old TpChannelFactory interface

 src/Makefile.am       |    8 +-
 src/idle-connection.c |   27 ++--
 src/idle-im-factory.c |  260 --------------------------
 src/idle-im-factory.h |   51 -----
 src/idle-im-manager.c |  489 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/idle-im-manager.h |   51 +++++
 6 files changed, 558 insertions(+), 328 deletions(-)

commit 4a64d982e41406d7ca738a8025d70566ca7cbbf8
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Jan 27 14:52:21 2009 -0600

    Handle buggy servers that don't quit properly
    
    This fix kills 2 related bugs at once (and thus fixes both of the tests that I
    just added on this branch).
    
    1. It disables receiving further messages after we send our QUIT message, so
       that we don't process a stray "welcome" message and accidentally try to
       transition to CONNECTED state while we're in the middle of disconnecting.
    2. Schedules a forceful server disconnection for 2s after we send our QUIT
       message in the case that the remote server does not close the socket.  This
       means that we send the dbus method return for Disconnect() at most 2s after
       receiving it, rather than depending on the remote server to disconnect us
       before we send the dbus method return.  I suppose I could have just
       disconnected immediately rather than scheduling it for 2s in the future, but
       I wanted to stay as close to current behavior as possible.

 src/idle-connection.c |   22 ++++++++++++++++++++++
 1 files changed, 22 insertions(+), 0 deletions(-)

commit 438f8edc058ae17998c443c80e01892658eb93fb
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Jan 27 13:52:08 2009 -0600

    Add a couple tests for slightly buggy server behavior
    
    gimpnet IRC server has a bug where if you QUIT while it's waiting for an ident
    response (at 'login'), it will totally ignore the QUIT message and go on to send
    you a welcome message. I've added a test which approximates this behavior.
    
    In addition, if you send quit behavior, but the remote server doesn't close the
    socket, telepathy-idle will never actually quit (or even respond to the
    Disconnect() dbus method, in fact). So I've added a test for this case.
    
    I think we should probably unilaterally close the connection and exit after a
    certain time if the server is misbehaving in one of these ways

 tests/twisted/Makefile.am                    |    2 +
 tests/twisted/connect/server-quit-ignore.py  |   41 ++++++++++++++++++++++++++
 tests/twisted/connect/server-quit-noclose.py |   34 +++++++++++++++++++++
 3 files changed, 77 insertions(+), 0 deletions(-)

commit a6e409abbcd7591e7fd8689b17f1b0074cbad624
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Jan 27 12:11:58 2009 -0600

    Make the test server respond to QUIT messages properly
    
    Previously I was just closing the connection immediately upon receiving a QUIT
    message, but I should have been sending an ERROR response and then closing the
    connection.

 tests/twisted/idletest.py |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ae926684ebf091e3ecc4dd29761563bb30c5fc14
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Jan 26 15:15:23 2009 -0600

    Free a bunch more memory leaks reported by valgrind
    
    Many telepathy signals take GPtrArrays of specialized dbus-glib boxed types.
    The basic pattern for all of these leaks is the same:
    - create a GValue for the specialized dbus type
    - call g_value_take_boxed(foo, specialized-dbus-type);
    - dbus_g_type_struct_set(...) /* set struct props */
    - g_ptr_array_add(array, g_value_get_boxed())
    - emit tp signal
    - free ptr array
    
    The problem is that even though the pointer array of the boxed types are freed,
    the boxed types themselves are not properly freed.  So you need to go through
    the list and call g_boxed_free on all of the array elements before freeing the
    array (or call g_value_unset() after you're done with the ptr array, which will
    result in the boxed type being freed by the GValue since it was initialized with
    take_boxed()).
    
    In addition, there was a somewhat related/intertwined bug in the topic handlers:
    - in idle_muc_channel_topic_touch(), where we were calling g_value_get_boxed()
      and adding it to the GPtrArray, then modifying the GValue, calling
      g_value_get_boxed(), and adding that to the array again.  The intent was to
      add two different objects to the array, but since we were not copying the
      boxed type (e.g. g_value_dup_boxed()), the result was that we were adding a
      pointer to a boxed type in the array, modifying the object and then adding it
      again, so we ended up with two identical boxed type objects in the array
      rather than two different objects.  I'm not entirely sure what effect this bug
      had on things, but it should be fixed now regardless.
    - in idle_muc_channel_topic_full(), we had the same problem as above, but in
      addition, the 'subject' property was never actually added to the ptr array, so
      I added this call.

 src/idle-connection.c  |    6 +++++
 src/idle-muc-channel.c |   52 ++++++++++++++++++++++++++++++++++++++---------
 2 files changed, 48 insertions(+), 10 deletions(-)

commit 10edb283b49d35863cb2345b3fe308ba5ad40180
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Jan 26 10:15:48 2009 -0600

    Fix a leak in change_tp_properties()
    
    We were leaking all GValue* objects that we got with dbus_g_type_struct_get()
    every time we called change_tp_properties().  This valgrind error is
    representative of the leaks:
    
    ==2405== 1,348 (280 direct, 1,068 indirect) bytes in 14 blocks are definitely lost in loss record 5 of 15
    ==2405==    at 0x4023DE2: calloc (vg_replace_malloc.c:397)
    ==2405==    by 0x4389479: g_malloc0 (gmem.c:151)
    ==2405==    by 0x43060A1: value_copy (gboxed.c:94)
    ==2405==    by 0x43069CE: boxed_proxy_lcopy_value (gboxed.c:362)
    ==2405==    by 0x42B08C5: dbus_g_type_struct_get (dbus-gtype-specialized.c:978)
    ==2405==    by 0x805D1EC: change_tp_properties (idle-muc-channel.c:526)
    ==2405==    by 0x805F39D: idle_muc_channel_topic (idle-muc-channel.c:1222)
    ==2405==    by 0x8053969: _numeric_topic_handler (idle-muc-factory.c:184)
    ==2405==    by 0x8055F5D: _parse_and_forward_one (idle-parser.c:399)
    ==2405==    by 0x8055BC7: _parse_message (idle-parser.c:321)
    ==2405==    by 0x8055694: idle_parser_receive (idle-parser.c:214)
    ==2405==    by 0x804EFF6: sconn_received_cb (idle-connection.c:656)
    
    After this commit, this particular error message no longer appears, though there
    is one additional leak that I need to chase down yet.

 src/idle-muc-channel.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 8c87b6e3b219d720038420201382b1b66ab7e789
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Jan 19 16:14:02 2009 -0600

    Handle connect()s that return success immediately
    
    The documentation on connect() is cryptic about in what situations a
    non-blocking socket can connect immediately, but in theory it is possible.  I
    had several test failures caused by violating the assumption that the return
    status from connect() is always -1 on a non-blocking socket.  These turned out
    to be caused by attempting to connect a UDP socket (which apparently is
    instantaneous even on non-blocking sockets), but it seems wise to handle this
    case more gracefully anyway, rather than simply asserting.

 src/idle-server-connection.c     |   12 ++++++------
 src/idle-ssl-server-connection.c |    4 +---
 2 files changed, 7 insertions(+), 9 deletions(-)

commit 7730041cb68402b8eadafc57d767cf8626638a00
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Jan 19 15:48:41 2009 -0600

    Only try to connect to the IRC server over TCP
    
    Previously we were not specifying any socket type in our getaddrinfo call, so
    our address results included both TCP and UDP candidates.  When connecting to
    the TCP one failed, it would try the UDP one, which would lead to some
    unexpected behavior (for instance, connect() on a UDP socket with O_NONBLOCK set
    will return 0 rather than -1/EINPROGRESS, which violates some assumptions in the
    code).  If the UDP socket did manage to get connected, it would violate other
    assumptions (for instance, setting the TCP_NODELAY option doesn't make sense on
    a non-TCP socket and triggers a warning).
    So, it doesn't really make sense to connect to a IRC server with UDP anyway, so
    this patch restricts telepathy-idle to use TCP sockets only

 src/idle-dns-resolver.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit 40fa1847606e4176432e2177a55a87934450a16b
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Jan 19 15:45:47 2009 -0600

    Fix an infinite loop in the SslServerConnection class
    
    This failure was triggered by the connect-fail-ssl test. When a ssl connection
    fails, it just retries the exact same address over an over in an infinite loop.
    It doesn't move on to the next address as it should.

 src/idle-ssl-server-connection.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit fbd509b4e34f0e96fbd2a87e18fbecfdfedaef70
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Jan 19 15:44:48 2009 -0600

    Add a little explanation to the connect-fail-ssl test

 tests/twisted/connect/connect-fail-ssl.py |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit d0e9f8ddcb99f3d7b848be81c08ed1594b90b760
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Jan 19 11:39:53 2009 -0600

    Add regression test for leading-space messages
    
    There was a long-standing bug in telepathy-idle where a received message that
    had a leading space was not parsed correctly and was dropped silently.  This bug
    has recently been fixed, and this is simply a regression test for it.

 tests/twisted/Makefile.am               |    1 +
 tests/twisted/idletest.py               |   56 +++++++++++++++++++++----------
 tests/twisted/messages/leading-space.py |   55 ++++++++++++++++++++++++++++++
 3 files changed, 94 insertions(+), 18 deletions(-)

commit e2f80415081972431eed901679896d0576d99844
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Jan 16 22:30:28 2009 -0600

    Add a regression test for messages delivered in proper order
    
    There was a bug where messages that were queued in the same message timeout
    (currently 2s) were not delivered in the order they were received.  This bug has
    been fixed, but I thought it would be useful to add a regression test for it.

 tests/twisted/Makefile.am               |    1 +
 tests/twisted/idletest.py               |    2 +-
 tests/twisted/messages/message-order.py |   53 +++++++++++++++++++++++++++++++
 3 files changed, 55 insertions(+), 1 deletions(-)

commit 94d765abc6474d7ec5bd2727b26e420f6518a4c8
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Jan 16 22:07:11 2009 -0600

    Add a very basic test for joining an IRC channel
    
    I'm not sure whether this test really has a lot of value, but it essentially
    documents the current behavior

 tests/twisted/Makefile.am                  |    1 +
 tests/twisted/channels/join-muc-channel.py |   40 ++++++++++++++++++++++++++++
 tests/twisted/idletest.py                  |   12 ++++++--
 3 files changed, 50 insertions(+), 3 deletions(-)

commit 480d3cea4b59e8191c4116d12b71abfdafb5101c
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Fri Jan 16 17:16:40 2009 -0600

    call Disconnect() asynchronously to prevent false test failures
    
    previously, the -success and the -success-ssl tests were failing because they
    didn't get a dbus method return from the Disconnect() method.  I thought that
    this was a problem with idle not returning the response, but it turns out it was
    caused by the fact that the test called Disconnect() synchronously.  So while
    the test was waiting for the dbus return, the QUIT handler could not run, so the
    connection was not getting closed.  Apparently idle waits for the connection to
    be closed before sending the dbus method return.
    
    When I change the Disconnect() call to be async, the test irc client is allowed
    to run and the tests now pass.

 tests/twisted/connect/connect-success-ssl.py |    9 ++++++---
 tests/twisted/connect/connect-success.py     |    9 ++++++---
 2 files changed, 12 insertions(+), 6 deletions(-)

commit 3fd18659d75157412def057df227e61f4b7aaa6d
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Thu Jan 15 14:23:39 2009 -0600

    Ignore a bunch of testing logs

 .gitignore |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 507bf2998e7c8b3cbabf5e1254d24926c07af92c
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Thu Jan 15 11:01:24 2009 -0600

    Fix some more minor twisted test issues
    
    - Use expect_many() rather than expect_racy() (the latter was accidentally
      committed after I was playing around with it and didn't know exactly what it
      did).
    - Fix the signature of BaseIRCServer.connectionLost.
    - Fix some formatting (tabs vs. spaces) issues
    - a little more debug information to help me figure out what's going on.

 tests/twisted/Makefile.am                    |    4 ++--
 tests/twisted/connect/connect-fail-ssl.py    |    8 ++++----
 tests/twisted/connect/connect-fail.py        |    6 +++---
 tests/twisted/connect/connect-success-ssl.py |    6 ++++--
 tests/twisted/connect/connect-success.py     |    6 ++++--
 tests/twisted/idletest.py                    |    6 ++++--
 6 files changed, 21 insertions(+), 15 deletions(-)

commit ba450846d8c0ca445ab9fc6263d70c6b2380b651
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Jan 14 12:23:31 2009 -0600

    Add support for testing ssl connections with twisted tests
    
    Added a couple ssl connection tests that are just variations of the non-ssl
    connection tests and really only serve to excercise the IdleSSLServerConnection
    class a bit.
    Added a testing-only ssl cert / key just so we're able to start a ssl irc test
    server and test connections to it.

 tests/twisted/Makefile.am                    |    2 ++
 tests/twisted/connect/connect-fail-ssl.py    |   16 ++++++++++++++++
 tests/twisted/connect/connect-success-ssl.py |   22 ++++++++++++++++++++++
 tests/twisted/idletest.py                    |   13 +++++++++++--
 tests/twisted/tools/idletest.cert            |   10 ++++++++++
 tests/twisted/tools/idletest.key             |    9 +++++++++
 tests/twisted/tools/tmp-session-bus.conf.in  |    8 ++------
 7 files changed, 72 insertions(+), 8 deletions(-)

commit d9e38485be510aafdd5cb0d870775f6c1d853cd7
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Jan 13 11:18:50 2009 -0600

    Improvements to twisted test IRC server
    
    Now at least returns a WELCOME message if it detects a NICK and USER message is
    sent by the client.  This allows the client to finally transition to the
    CONNECTED state from CONNECTING, so it's progress.  The test still seems to hang
    when attempting to disconnect, though, I'm not sure what is causing that yet.

 tests/twisted/connect/connect-success.py |   19 +++++------
 tests/twisted/idletest.py                |   50 +++++++++++++++--------------
 2 files changed, 34 insertions(+), 35 deletions(-)

commit e14ecf6c650b3da01f59094c4d7b74d29543d7e1
Author: Jonathon Jongsma <jjongsma@gnome.org>
Date:   Mon Jan 12 14:45:20 2009 -0600

    Starting to add twisted test infrastructure
    
    The twisted test infrastructure was copied and modified from gabble.  I'm still
    getting familiar with it and figuring out how things work, so it doesn't really
    do much yet and there are even issues with the few barebones tests I've included
    here.

 .gitignore                                  |   13 +-
 Makefile.am                                 |    5 +
 configure.ac                                |   20 +
 tests/Makefile.am                           |    1 +
 tests/twisted/Makefile.am                   |   37 ++
 tests/twisted/connect/connect-fail.py       |   16 +
 tests/twisted/connect/connect-success.py    |   24 ++
 tests/twisted/idletest.py                   |  169 +++++++++
 tests/twisted/servicetest.py                |  505 +++++++++++++++++++++++++++
 tests/twisted/tools/Makefile.am             |   33 ++
 tests/twisted/tools/exec-with-log.sh.in     |   27 ++
 tests/twisted/tools/idle.service.in         |    3 +
 tests/twisted/tools/tmp-session-bus.conf.in |   30 ++
 tests/twisted/tools/with-session-bus.sh     |   84 +++++
 14 files changed, 964 insertions(+), 3 deletions(-)

commit 492c8916e6dc4ce7ed82c3509071edd430dada99
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Wed Jan 14 10:15:21 2009 -0600

    Fix the fd double-close in the ssl server connection class as well
    
    As in the normal server connection class, there doesn't seem to be any need to
    carry the fd around in the AsyncConnectData struct or in the class priv struct
    since we can always retrieve it from the GIOChannel when necessary.  In
    addition, g_io_channel_shutdown closes the fd, so there's no reason to close the
    fd separately.  In fact, closing the fd separately will result in a glib warning
    about closing an invalid file descriptor if the close() is done before the
    channel shutdown.

 src/idle-ssl-server-connection.c |   32 +++++++-------------------------
 1 files changed, 7 insertions(+), 25 deletions(-)

commit d37f1b997bb3dc8a303f6459245072bdcfd3a480
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Jan 13 16:48:16 2009 -0600

    Fix a warning about closing an invalid file descriptor
    
    When running the new test suite for idle (not yet merged upstream), I was
    getting tests aborted and created core files due to a warning about closing an
    invalid file descriptor.  The actual source of the warning I was seeing was in
    async_connect_data_destroy() while shutting down the IO channel.  I believe this
    is because a few lines earlier, we close the IOChannel's file descriptor, then
    glib attempts to close it again in the g_io_channel_shutdown() function.
    
    We seem to be doing this many other places, but we don't always get warnings
    about it because often the close() call comes after the g_io_channel_shutdown()
    call, and we don't check the return status from close().  It seems to me that
    since glib will free the file descriptor for us when we shut down the IOChannel,
    there's not even any reason to carry around the fd separately in
    _AsyncConnectData (since we can always get it from the IOChannel anyway), so I
    removed that as well.
    
    I haven't changed similar uses in the SSL server connection yet.

 src/idle-server-connection.c |   28 ++++------------------------
 1 files changed, 4 insertions(+), 24 deletions(-)

commit e798493ed8dc4e5d68035a3362da4e29884d9816
Author: Jonathon Jongsma <jjongsma@gnome.org>
Date:   Tue Jan 6 11:47:54 2009 -0600

    Handle user renames in muc rooms
    
    Previously, tp_group_mixin_change_members() was called with reason NONE, so UI
    applications had no chance of displaying it as a rename rather than separate
    quit and join operations.  Since idle now depends on a recent-enough tp-glib, we
    can use the RENAMED reason (and also, use the new set_self_handle() API in the
    TpGroupMixin as well)

 src/idle-muc-channel.c |    6 ++----
 1 files changed, 2 insertions(+), 4 deletions(-)

commit 022ea3809759d8b1fd92c23b2b8b4e8c1f3b0116
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Tue Jan 13 11:32:17 2009 -0600

    Initialize a couple more GErrors to NULL
    
    Missed a couple uninitialized GErrors in the ssl connection class

 src/idle-ssl-server-connection.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 307977a5ca0db466e52ed5be5b1ebcbf4799296c
Author: Jonathon Jongsma <jonathon.jongsma@collabora.co.uk>
Date:   Mon Jan 12 16:32:21 2009 -0600

    Initialize all GError* vars to NULL
    
    We were getting some warnings about an error being set over top of an existing
    error, because several GError* variables were not initialized properly to NULL.

 src/idle-connection.c |    8 ++++----
 1 files changed, 4 insertions(+), 4 deletions(-)

commit 86ca78e69f077861a6149f5d795ddc0d0aae9503
Author: Jonathon Jongsma <jjongsma@gnome.org>
Date:   Wed Dec 31 15:52:47 2008 -0600

    Fix parsing error on leading whitespace (bug #17390)
    
    The basic problem is as follows:
    There is an incoming message that looks like the following:
    ":jonner!n=jonner@jalfrezi.collabora.co.uk PRIVMSG #channelname : foo bar"
    
    When this message gets tokenized, we get the following tokens:
     - :jonner!n=jonner@jalfrezi.collabora.co.uk
     - PRIVMSG
     - #channelname
     - :
     - foo
     - bar
    
    When we get to parsing the chat message portion, our current token is simply
    ":".  There is a check in the code that was meant to prevent zero-length strings
    from being added to the parsed arguments, but that check assumes that we'll only
    be adding the current token to the parsed args.  In reality, we want to consume
    the entire remaining string (which may contain multiple tokens) and add it to
    args.  So instead of checking that the the character immediately after the ':'
    is non-NULL in the strdup-ed token, we should really check that the character
    immediately after the ':' is non-NULL in the original message string.
    
    Bug was introduced in commit 02cf59fb7b7efebbec39422460ec13ae1e3f5c89

 src/idle-parser.c |    8 +++++++-
 1 files changed, 7 insertions(+), 1 deletions(-)

commit f65a516ad01362f834f93cff1f947892c2bce46c
Merge: bc09457 1917b5a
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Sep 25 18:48:40 2008 +0100

    Merge branch 'self-handle-changed'

commit bc0945793cf918318538e30d46b281b1de14b4aa
Author: Florian Steinel <Florian.Steinel@googlemail.com>
Date:   Thu Sep 25 19:32:40 2008 +0200

    fix compile on 64bit arch

 src/idle-muc-channel.c |    2 +-
 src/idle-text.c        |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1917b5a0406c614f7b3866b7f90ca2cf4dabe83a
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   Wed Sep 24 10:56:27 2008 +0100

    Require telepathy-glib 0.7.15 (for tp_base_connection_set_self_handle)

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit c1fa7702c628034af76a9c9ebbfe2818f847e069
Merge: bb058c8 5ae7920
Author: Simon McVittie <http://smcv.pseudorandom.co.uk/>
Date:   Wed Sep 24 10:55:58 2008 +0100

    Merge commit 'wjt/self-handle-changed' into self-handle-changed
    
    Conflicts:
    
    	configure.ac

commit 5ae7920bb0282fa080cff5d2db6191dcdca35769
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Tue Sep 9 17:00:21 2008 +0100

    Connection: remove unused variable

 src/idle-connection.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit bb058c8892a91e012e002cd2e5526e85bc05e86b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Mon Sep 1 12:50:17 2008 +0100

    Rewrite idle_text_encode_and_split to be more obviously correct.
    
    Fixes an infinite loop for ACTIONs containing newlines.

 src/idle-text.c |   93 ++++++++++++++++++++++++++++++-------------------------
 1 files changed, 51 insertions(+), 42 deletions(-)

commit 06123a3471a6a248604bc18e71221216b1e771e7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Mon Sep 1 12:47:13 2008 +0100

    Add a test that over-long/newlined messages are split correctly.

 tests/Makefile.am                  |    7 ++-
 tests/test-text-encode-and-split.c |  150 ++++++++++++++++++++++++++++++++++++
 2 files changed, 156 insertions(+), 1 deletions(-)

commit 8fae440479816222cf1375b89ea1070292ae308b
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 19:26:18 2008 +0100

    Send messages with equal priority in chronological order

 src/idle-connection.c |   21 ++++++++++++++++-----
 1 files changed, 16 insertions(+), 5 deletions(-)

commit ec8d4ba71c87bab82818bafd4df6bfc5bdacb6f5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 18:27:18 2008 +0100

    Extract splitting of long/multiline messages to a function

 src/idle-text.c |   61 +++++++++++++++++++++++++++++++++++++------------------
 src/idle-text.h |    1 +
 2 files changed, 42 insertions(+), 20 deletions(-)

commit e7268ab6601c35939e93ab70619b76327a0e1d7f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 18:04:44 2008 +0100

    Fixed signedness warning in a test

 tests/test-ctcp-tokenize.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 7f1faae20c5e8566519fe1e4faa5854a238e3d00
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 17:13:01 2008 +0100

    Fix another signedness warning.

 src/idle-text.c |    4 +++-
 1 files changed, 3 insertions(+), 1 deletions(-)

commit 49d014ee95dfef2d5d56c2565cdd0c2b2030b190
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 16:59:23 2008 +0100

    Correct more mismatched signednesses

 src/idle-muc-channel.c |   20 ++++++++++----------
 src/idle-parser.c      |    4 ++--
 2 files changed, 12 insertions(+), 12 deletions(-)

commit e86db64ce63408f00d5bd988545984ebac0c3c91
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 16:47:48 2008 +0100

    Don't use an invalid enum value as a failure flag

 src/idle-im-factory.c  |    7 +++----
 src/idle-muc-factory.c |    7 +++----
 src/idle-text.c        |    7 ++++---
 src/idle-text.h        |    2 +-
 4 files changed, 11 insertions(+), 12 deletions(-)

commit 6d2cdaa645d0b626d719aa8edb444eddc602a7e5
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 16:42:28 2008 +0100

    Correct the order of "const static" to "static const"

 src/idle-handles.c |    2 +-
 src/idle-parser.c  |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit c52271ba4cf6425b0cf09f98254d35eaeccac372
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 16:41:52 2008 +0100

    Use post-0.6.1 tp_debug_set_flags() and tp_debug_set_persistent()

 src/idle-debug.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 59381efdfa8e85ce688190b461159873b8f8b708
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 16:41:41 2008 +0100

    Bump telepathy-glib dependency to 0.6.1

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 667dfdbc78652c667513ce581a76d4e6ef5570f0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 16:08:58 2008 +0100

    Bump telepathy-glib dep to 0.7.3 for the DBusPropertiesMixin

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit cefc2b085e80de168abc1e5eef3e867be96dfe5f
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 16:00:28 2008 +0100

    Change self-handle using tp_base_connection_set_self_handle

 src/idle-connection.c |   10 ++--------
 1 files changed, 2 insertions(+), 8 deletions(-)

commit 4121b3a3ffcb83f1ecd7797b9e764a9898846c0e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 16:31:28 2008 +0100

    Bump automake dependency

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4a25b1496287a2edffc77b99b78e83fbf24f2ed7
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 15:47:46 2008 +0100

    Fix a mismatched signedness warning

 src/idle-connection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1bee98f16638f83052ade1213d656b8b87130bed
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 15:47:11 2008 +0100

    Enable -Werror and friends on development builds

 configure.ac |   59 +++++++++++++++++++++++++++++++++++++++++++++------------
 1 files changed, 46 insertions(+), 13 deletions(-)

commit 42d9ae1c93b52f0eba9fee38c739d5e4800a734e
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 15:47:58 2008 +0100

    Make autogen.sh executable

 0 files changed, 0 insertions(+), 0 deletions(-)

commit 9b09b52959ddfc9cab4b29f2434d09656d2516fa
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 15:46:19 2008 +0100

    Remove .git-darcs-dir files

 0 files changed, 0 insertions(+), 0 deletions(-)

commit e2429d549a52c5f7b157688c883b69ac717975e0
Author: Will Thompson <will.thompson@collabora.co.uk>
Date:   Fri Aug 29 15:45:54 2008 +0100

    Convert _boring to .gitignore

 .gitignore |   53 +++++++++++++++++++++++++++++++++++++++++
 _boring    |   76 ------------------------------------------------------------
 2 files changed, 53 insertions(+), 76 deletions(-)

commit 7be13f764bc647755f67e65a24709c36625d16ae
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Jan 1 19:54:42 2008 +0000

    Use g_set_error instead of *error = g_error_new where possible to facilitate deliberately ignoring errors
    
    
    20080101195442-9db4d-234ac21aaee90fe01bbcd0c1069086139c67470c.gz

 src/idle-muc-channel.c           |   19 ++++++-------------
 src/idle-server-connection.c     |   18 +++++++++---------
 src/idle-ssl-server-connection.c |   12 ++++++------
 3 files changed, 21 insertions(+), 28 deletions(-)

commit fb535cd02fb8baeeb8d0dec46dfe19ce0b87a759
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 16 16:23:19 2008 +0000

    Still more coding style unifications, now there should be quite a few less function declarations and calls with a space between the function name and the opening paren.
    
    
    20080116162319-9db4d-8fe36cffc8d4ae36ce744b987a657771b32c98ed.gz

 src/idle-connection-manager.c |    4 ++--
 src/idle-connection-manager.h |    2 +-
 src/idle-connection.c         |   14 +++++++-------
 src/idle-connection.h         |    2 +-
 src/idle-im-channel.c         |   34 +++++++++++++++++-----------------
 src/idle-text.c               |    2 +-
 6 files changed, 29 insertions(+), 29 deletions(-)

commit 5f954c012af01becad485a8031985c2e2c294582
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 16 16:05:15 2008 +0000

    More coding style unifications. This time make sure all control keywords have a space between them and the opening paren.
    
    
    20080116160515-9db4d-ce4b4f35a86d48a12e6c5647eabd93978a5fd081.gz

 src/idle-ctcp.c        |    2 +-
 src/idle-im-factory.c  |    4 ++--
 src/idle-muc-factory.c |    4 ++--
 3 files changed, 5 insertions(+), 5 deletions(-)

commit df96afe50ac242e57e5ad2a65ec7839831f8d066
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Jan 15 21:02:32 2008 +0000

    Make GInterface init functions conform to the same coding standard
    
    
    20080115210232-9db4d-31348a0b3c340fb081133117243a61cbdc995f8f.gz

 src/idle-im-channel.c            |   12 ++++++------
 src/idle-im-factory.c            |    8 ++++----
 src/idle-muc-channel.c           |   24 ++++++++++++------------
 src/idle-muc-factory.c           |    8 ++++----
 src/idle-server-connection.c     |    6 +++---
 src/idle-ssl-server-connection.c |    6 +++---
 6 files changed, 32 insertions(+), 32 deletions(-)

commit d6884fde268175fca9afccfad0c36435be5a8bd9
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Jan 15 20:53:29 2008 +0000

    Clean up includes
    
    
    20080115205329-9db4d-6a57ff858a5ce98ae86074e81f3be814e05d6bd3.gz

 src/idle-connection-manager.c      |    2 +-
 src/idle-connection-manager.h      |    1 -
 src/idle-connection.c              |   56 +++++++++++------------------------
 src/idle-connection.h              |   16 +++-------
 src/idle-debug.c                   |    3 --
 src/idle-dns-resolver.c            |    3 +-
 src/idle-dns-resolver.h            |    8 +++++
 src/idle-handles.c                 |    8 ++---
 src/idle-handles.h                 |    4 --
 src/idle-im-channel.c              |   19 ++++++------
 src/idle-im-factory.c              |   12 +++----
 src/idle-im-factory.h              |    2 -
 src/idle-muc-channel.c             |   30 +++++++++----------
 src/idle-muc-channel.h             |   10 ++----
 src/idle-muc-factory.c             |   12 +++----
 src/idle-muc-factory.h             |    2 -
 src/idle-server-connection-iface.c |    2 -
 src/idle-server-connection.c       |   25 ++++++---------
 src/idle-text.c                    |    5 +--
 src/idle-text.h                    |    2 +
 20 files changed, 87 insertions(+), 135 deletions(-)

commit 3c20851336897e76c48a76e6681dc1d64e1c03ac
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Jan 3 16:49:55 2008 +0000

    Cope with TpChannelIface channel-type property becoming writeable in telepathy-glib > 0.7.0, avoiding warnings when channels are constructed (fd.o #13896).
    
    If telepathy-glib is <= 0.7.0, the added code will never execute, but is
    harmless.
    
    20080103164955-53eee-b66b94c229995403a3f178753326941d1bfc623f.gz

 src/idle-im-channel.c  |    3 +++
 src/idle-muc-channel.c |    3 +++
 2 files changed, 6 insertions(+), 0 deletions(-)

commit c077f7ab1f0d49f1d958fc3a8c7bb9b0a191ccc3
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Jan 3 16:47:12 2008 +0000

    Remove unnecessary reference to an empty variable
    
    
    20080103164712-53eee-6fe5a4c7cce69a23372eb664a40efce06205ebe0.gz

 extensions/Makefile.am |    3 +--
 1 files changed, 1 insertions(+), 2 deletions(-)

commit 131fe14ec1f3d6013159739b1e5007bdf96d9d94
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Jan 12 21:06:59 2008 +0000

    Remove useless send_irc_cmd() from idle-connection.c and rename send_irc_cmd_full to _send_with_priority
    
    
    20080112210659-9db4d-70b106707c5f33eb0983be516ebf3763ac699523.gz

 src/idle-connection.c |   25 +++++++++----------------
 src/idle-connection.h |    2 +-
 2 files changed, 10 insertions(+), 17 deletions(-)

commit 5cecd8a62742c52fe94838dc30a1d27ef0b41be1
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Jan 12 20:53:48 2008 +0000

    Coding style, part: Public functions of classes shouldn't have an underscore prefix
    
    
    20080112205348-9db4d-dfcfe6f9e50d5cfda568b3c074d11b62cd44678c.gz

 src/idle-connection.c  |    2 +-
 src/idle-connection.h  |    2 +-
 src/idle-ctcp.c        |    2 +-
 src/idle-im-channel.c  |    2 +-
 src/idle-im-channel.h  |    2 +-
 src/idle-im-factory.c  |    2 +-
 src/idle-muc-channel.c |   50 ++++++++++++++++++++++++------------------------
 src/idle-muc-channel.h |   37 +++++++++++++++++------------------
 src/idle-muc-factory.c |   38 ++++++++++++++++++------------------
 src/idle-text.c        |    2 +-
 src/idle-text.h        |    2 +-
 11 files changed, 70 insertions(+), 71 deletions(-)

commit aba4d48dc8944a57aadcb5309db8849614c51806
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Jan 12 20:39:37 2008 +0000

    Remove GTK_DOC_CHECK from configure.ac, idle doesn't do gtk-doc
    
    
    20080112203937-9db4d-a750e2d3b01f65f46119523d67fda7ddc6bda8e7.gz

 configure.ac |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 0134f85f12fe36f8418488e76d78443ceec5ed5e
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Jan 12 20:38:28 2008 +0000

    Add -Wno-portability to autoreconf invocation in autogen.sh, we depend on GNU make
    
    
    20080112203828-9db4d-19de5ecafe13f70ad99cbec4733b8242d73c6459.gz

 autogen.sh |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8816b1c4afda68b47d799ce82309f393bd4bd5f4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Jan 12 12:49:31 2008 +0000

    Add HACKING file
    
    
    20080112124931-9db4d-e97cf76aa09d551c96ef7e543867ddb26aa79340.gz

 HACKING |   70 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 70 insertions(+), 0 deletions(-)

commit b98a43649d25ef349bb73b8934453f984dc41d9e
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Dec 27 22:02:08 2007 +0000

    Unify coding style, chapter Six: Binary operators and their operands should have whitespace in between
    
    
    20071227220208-9db4d-2e018ea7b69ed08e7f17c909b2fa47470c4081e0.gz

 src/idle-connection.c            |   26 +++++-----
 src/idle-handles.c               |    4 +-
 src/idle-muc-channel.c           |   99 +++++++++++++++++---------------------
 src/idle-parser.c                |    4 +-
 src/idle-server-connection.c     |   22 ++++-----
 src/idle-ssl-server-connection.c |   10 ++--
 src/idle-text.c                  |   16 +++---
 7 files changed, 85 insertions(+), 96 deletions(-)

commit 64af22ce42221f71c19d2e13ab2df67ee09e5ac4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Dec 27 21:36:51 2007 +0000

    Fix too greedy removal of cruft resulting in GValue -> GValu
    
    
    20071227213651-9db4d-ac07090814d0518310802bb5e974451528c35a20.gz

 src/idle-server-connection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 4de1f9c04780edcaecc4247d8fda573b2254d487
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Dec 27 20:33:00 2007 +0000

    Unify coding style, lesson 4: blank lines after each case body in switch statements
    
    
    20071227203300-9db4d-47a1011afb9c3cd20b58f249b756744115b0b181.gz

 src/idle-connection.c |   21 +++++++++++++++++++++
 src/idle-ctcp.c       |    4 ++++
 src/idle-handles.c    |    2 ++
 3 files changed, 27 insertions(+), 0 deletions(-)

commit 60ab6f50523cca46a5d5a03211c26a49dc9173e6
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Dec 27 20:28:31 2007 +0000

    Unify coding style, part 3: Return type on the same line with the function name
    
    
    20071227202831-9db4d-6fc9278dde6e99383986b366dabbf982c8d4a340.gz

 src/idle-im-channel.c  |    6 ++----
 src/idle-muc-channel.c |   24 ++++++++----------------
 2 files changed, 10 insertions(+), 20 deletions(-)

commit af8e39e88f5541edb9f8aa5ab04bc4ef64caad95
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Dec 27 20:24:21 2007 +0000

    Unify coding style, book II: Thou shalt indent by tabs, and only tabs
    
    
    20071227202421-9db4d-7fb30eae03df9f5ae881719a257c90f3adcb3430.gz

 src/idle-connection-manager.c |    2 +-
 src/idle-connection-manager.h |   16 ++--
 src/idle-connection.c         |   12 ++--
 src/idle-connection.h         |   12 ++--
 src/idle-dns-resolver.c       |   16 ++--
 src/idle-im-channel.c         |  114 +++++++++++++++---------------
 src/idle-im-channel.h         |   20 +++---
 src/idle-im-factory.c         |   70 ++++++++++---------
 src/idle-muc-channel.c        |  154 ++++++++++++++++++++--------------------
 src/idle-muc-channel.h        |   12 ++--
 src/idle-muc-factory.c        |   70 ++++++++++---------
 src/idle-server-connection.c  |   10 ++--
 src/idle-text.c               |    2 +-
 13 files changed, 257 insertions(+), 253 deletions(-)

commit 101e2c5b2b5d11491d679e623066dd775b44bcf1
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Dec 27 20:18:13 2007 +0000

    Remove tabs from places other than beginning of lines
    
    
    20071227201813-9db4d-818203d16e295aa5bd678dd62cccffd76c836f17.gz

 src/idle-connection-manager.c |   16 ++++++++--------
 src/idle-connection.c         |    4 ++--
 src/idle-handles.c            |    2 +-
 src/idle-muc-channel.c        |   28 ++++++++++++++--------------
 src/idle-parser.c             |    4 ++--
 src/idle-text.c               |    2 +-
 6 files changed, 28 insertions(+), 28 deletions(-)

commit b1bc692f0ca998950d505c3f4a503eb6899b2258
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Dec 27 20:14:23 2007 +0000

    Remove trailing whitespace
    
    
    20071227201423-9db4d-9747ce7d1faa02cd80ab78daeec4d2abad6af37f.gz

 src/idle-connection-manager.c      |    4 +-
 src/idle-connection-manager.h      |    4 +-
 src/idle-connection.c              |   10 ++--
 src/idle-connection.h              |    4 +-
 src/idle-ctcp.c                    |    4 +-
 src/idle-ctcp.h                    |    4 +-
 src/idle-debug.c                   |    4 +-
 src/idle-debug.h                   |    4 +-
 src/idle-dns-resolver.c            |    8 +-
 src/idle-dns-resolver.h            |    6 +-
 src/idle-handles.c                 |    4 +-
 src/idle-handles.h                 |    4 +-
 src/idle-im-channel.c              |   10 ++--
 src/idle-im-channel.h              |    6 +-
 src/idle-im-factory.c              |    4 +-
 src/idle-im-factory.h              |    4 +-
 src/idle-muc-channel.c             |  124 ++++++++++++++++++------------------
 src/idle-muc-channel.h             |    4 +-
 src/idle-muc-factory.c             |    4 +-
 src/idle-muc-factory.h             |    4 +-
 src/idle-parser.c                  |    4 +-
 src/idle-parser.h                  |    4 +-
 src/idle-server-connection-iface.c |    4 +-
 src/idle-server-connection-iface.h |    8 +-
 src/idle-server-connection.c       |   84 ++++++++++++------------
 src/idle-server-connection.h       |    4 +-
 src/idle-ssl-server-connection.c   |   38 ++++++------
 src/idle-ssl-server-connection.h   |    4 +-
 src/idle-text.c                    |    4 +-
 src/idle-text.h                    |    4 +-
 src/idle.c                         |    4 +-
 31 files changed, 191 insertions(+), 191 deletions(-)

commit c460df04d67bbfc39cca7e6bbaa4defaf56e76c2
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Dec 27 20:10:31 2007 +0000

    Remove old not-in-use sofia resolver cruft
    
    
    20071227201031-9db4d-a075bd3de5fed303ce61ab4431e71c0d9a22e09f.gz

 configure.ac            |   17 ---
 src/Makefile.am         |    2 -
 src/idle-dns-resolver.c |  346 -----------------------------------------------
 3 files changed, 0 insertions(+), 365 deletions(-)

commit 0a81e75a123eee5fb4f49d5f9fe7d0590d3571fb
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Dec 27 20:02:51 2007 +0000

    Unify coding style part 1 (mostly bracing style)
    
    
    20071227200251-9db4d-5f34b917f7042957c8d441c09d09bfe35619d47f.gz

 src/idle-connection.c              |    6 +-
 src/idle-dns-resolver.c            |   73 +---
 src/idle-dns-resolver.h            |    5 +-
 src/idle-im-channel.c              |  122 ++----
 src/idle-muc-channel.c             |  751 +++++++++++-------------------------
 src/idle-muc-channel.h             |    3 +-
 src/idle-server-connection-iface.c |   27 +-
 src/idle-server-connection-iface.h |    9 +-
 src/idle-server-connection.c       |  278 +++++---------
 src/idle-server-connection.h       |    6 +-
 src/idle-ssl-server-connection.c   |  275 ++++---------
 src/idle-ssl-server-connection.h   |    6 +-
 src/idle-text.c                    |   32 +--
 13 files changed, 492 insertions(+), 1101 deletions(-)

commit 929901419cdf62466ffeec49232a3daf4beb9187
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Nov 29 13:14:26 2007 +0000

    Stop checking for dbus-binding-tool - no longer needed
    
    
    20071129131426-53eee-8859a0c37363c61c56ee56a6d2c4577a0c94cbb3.gz

 configure.ac |    5 -----
 1 files changed, 0 insertions(+), 5 deletions(-)

commit 39c65ddf25cf9a8551edb26c84d57528e186f1b6
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Nov 29 13:09:08 2007 +0000

    Simplify extensions/Makefile.am now that generated GInterfaces don't need external glue
    
    
    20071129130908-53eee-66c7d1b9d2d05dba1da8e83308d04569d6a7f34b.gz

 extensions/Makefile.am |   20 ++------------------
 1 files changed, 2 insertions(+), 18 deletions(-)

commit e37b57ae2cc68266d08fc7b7dc5b04317896a17d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Nov 29 13:08:41 2007 +0000

    Update tools from telepathy-glib: generated GInterfaces no longer need external glue
    
    
    20071129130841-53eee-54a96f08127cfd5508f14a03b102ee563638853f.gz

 tools/Makefile.am            |   13 +++--
 tools/glib-ginterface-gen.py |  116 +++++++++++++++++++++++++++++++++++------
 tools/libglibcodegen.py      |   30 +++++++++--
 3 files changed, 133 insertions(+), 26 deletions(-)

commit d8695095978882927ecf9d58301a1c6ce079f4a5
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Nov 29 13:06:10 2007 +0000

    Add missing identity.xsl
    
    
    20071129130610-53eee-6b56bd3209cb7ab359cdfc90ace747eef9b05d1d.gz

 tools/identity.xsl |    7 +++++++
 1 files changed, 7 insertions(+), 0 deletions(-)

commit 9279a0091cdce5b4ca05be6265aeb1120beb6e92
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Nov 29 13:02:20 2007 +0000

    Add missing glib-signals-marshal-gen.py in tools/
    
    
    20071129130220-53eee-e98ee6ca716440ffdd4fb9168f87eba964c8de31.gz

 tools/glib-signals-marshal-gen.py |   55 +++++++++++++++++++++++++++++++++++++
 1 files changed, 55 insertions(+), 0 deletions(-)

commit 06bc54d3d3a0e10e8ea482cba2a145a90be0a8c8
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Nov 29 13:01:58 2007 +0000

    _boring: ignore test binaries
    
    
    20071129130158-53eee-b1ddfc54ec9823bbb3a5571162515aaf2492577a.gz

 _boring |    1 +
 1 files changed, 1 insertions(+), 0 deletions(-)

commit a6b79731b78a40d2edf8f689f29e05289783f88f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Nov 23 14:49:43 2007 +0000

    Remove _gen/all.xml in clean
    
    
    20071123144943-53eee-ee4a67796d1eeb688ed0b5720301cf2458745acf.gz

 extensions/Makefile.am |    5 ++++-
 1 files changed, 4 insertions(+), 1 deletions(-)

commit 0824ae1319cf55b41c0642ba1874faf85173e85d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Nov 23 14:47:03 2007 +0000

    Adjust extensions/Makefile.am: _gen/all.xml should mkdir _gen first
    
    
    20071123144703-53eee-96fb2aa13569f40abd981b1a80c49caac586a93f.gz

 extensions/Makefile.am |   17 +++++++----------
 1 files changed, 7 insertions(+), 10 deletions(-)

commit fbc95d6db68f565680274efa9fd14eee6000d60c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Nov 23 14:43:55 2007 +0000

    Update build system to resemble that of telepathy-glib 0.7
    
    
    20071123144355-53eee-1a7f7c4dd601a2a9e18288222ecd3dda67b22f41.gz

 extensions/Makefile.am       |   55 ++--
 tools/Makefile.am            |    5 +-
 tools/genginterface.py       |  709 ------------------------------------------
 tools/glib-ginterface-gen.py |  572 ++++++++++++++++++++++++++++++++++
 tools/libglibcodegen.py      |  279 +++++++++++++++++
 5 files changed, 883 insertions(+), 737 deletions(-)

commit c866efbadc592b9f3d1f883aab2c4bf7d47f1dad
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Nov 23 14:40:27 2007 +0000

    Check for, and use, mkdir -p or equivalent
    
    
    20071123144027-53eee-0d7b50c0ec283047b8d391bc8c6c10ca446f1524.gz

 configure.ac           |    1 +
 extensions/Makefile.am |    2 +-
 2 files changed, 2 insertions(+), 1 deletions(-)

commit 4c2af08b47be195a57ac3bb5d9fefe531ea59812
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Nov 23 14:17:27 2007 +0000

    Sync tools from telepathy-spec
    
    
    20071123141727-53eee-42fdb5e7b9385290998ffd1c34c8e029dc63dd35.gz

 tools/doc-generator.xsl      |  298 +++++++++++++++++++++++++++++++++++++++---
 tools/ls-interfaces.xsl      |    2 +
 tools/spec-to-introspect.xsl |   25 ++++
 3 files changed, 307 insertions(+), 18 deletions(-)

commit ea5b4c00414025ad3de2d4d47f23e8240db70370
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Nov 23 14:17:21 2007 +0000

    Reference external type Contact_Handle (which is in the Tp spec)
    
    
    20071123141721-53eee-4e1f305adb423a295a890cc5f7b5d3e2ca729b98.gz

 extensions/all.xml |    5 +++++
 1 files changed, 5 insertions(+), 0 deletions(-)

commit 90e3e3d1cc3cf5583841227fef0c0ecf60571958
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Nov 23 14:12:41 2007 +0000

    Sync tools from telepathy-glib
    
    
    20071123141241-53eee-1c5b2e4561b000c91190ac8237ff60243c9d266c.gz

 tools/c-constants-generator.xsl  |    4 +++-
 tools/c-interfaces-generator.xsl |    4 +++-
 tools/make-all-async.xsl         |   21 +++++++++++++++++++++
 3 files changed, 27 insertions(+), 2 deletions(-)

commit b2fae91d6a2acf4e7d1ac30cfa61ab529fc15f3d
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Nov 23 14:04:02 2007 +0000

    Remove update-spec-gen-am.sh
    
    
    20071123140402-53eee-f7d1a253becb25dc271274bfb389bdea68037e85.gz

 tools/Makefile.am           |    3 +-
 tools/update-spec-gen-am.sh |   75 -------------------------------------------
 2 files changed, 1 insertions(+), 77 deletions(-)

commit 031607bd26b6cd7b042ff26eaa0b97d3cf387164
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Nov 23 14:01:39 2007 +0000

    Move tools directory to top level. Stop using spec-gen.am
    
    
    20071123140139-53eee-56849a8ae9ca447e90b62de8d14ec6e52f03546c.gz

 Makefile.am                                 |    2 +-
 autogen.sh                                  |    8 -
 configure.ac                                |    2 +-
 extensions/Makefile.am                      |   33 +-
 extensions/tools/Makefile.am                |    9 -
 extensions/tools/c-constants-generator.xsl  |  255 ----------
 extensions/tools/c-interfaces-generator.xsl |   82 ---
 extensions/tools/doc-generator.xsl          |  427 ----------------
 extensions/tools/genginterface.py           |  709 ---------------------------
 extensions/tools/ls-interfaces.xsl          |   33 --
 extensions/tools/make-all-async.xsl         |   22 -
 extensions/tools/spec-to-introspect.xsl     |   26 -
 extensions/tools/update-spec-gen-am.sh      |   75 ---
 tools/Makefile.am                           |    9 +
 tools/c-constants-generator.xsl             |  255 ++++++++++
 tools/c-interfaces-generator.xsl            |   82 +++
 tools/doc-generator.xsl                     |  427 ++++++++++++++++
 tools/genginterface.py                      |  709 +++++++++++++++++++++++++++
 tools/ls-interfaces.xsl                     |   33 ++
 tools/make-all-async.xsl                    |   22 +
 tools/spec-to-introspect.xsl                |   26 +
 tools/update-spec-gen-am.sh                 |   75 +++
 22 files changed, 1654 insertions(+), 1667 deletions(-)

commit c81f69f6db3db739f2c17ad9c0075e19de3c6f62
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Mon Nov 5 11:09:42 2007 +0000

    Add telepathy-idle.8 man page
    
    
    20071105110942-53eee-e69976f4df1c66a993b3c7a1c177540ccdf40e51.gz

 _boring                 |    1 +
 src/Makefile.am         |    8 +++++++-
 src/telepathy-idle.8.in |   28 ++++++++++++++++++++++++++++
 3 files changed, 36 insertions(+), 1 deletions(-)

commit e5ad1bc2c7c4010d96550f16ea3f7b7ec1687410
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Oct 26 11:04:38 2007 +0000

    Move CM executable to $libexecdir, adjust .service accordingly
    
    
    20071026110438-53eee-867b50d1ec1e62cba39f29b9208beb5e470bde53.gz

 data/Makefile.am                                   |    4 ++--
 ...top.Telepathy.ConnectionManager.idle.service.in |    2 +-
 src/Makefile.am                                    |    2 +-
 3 files changed, 4 insertions(+), 4 deletions(-)

commit c2d95a4b96eae6f5e692ace9f200589695cc6f6f
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Sep 28 13:27:46 2007 +0000

    Set nano version 0.1.2.1
    
    
    20070928132746-53eee-2d8a25cddd9dda524317cc6cf395af50e9818796.gz

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1561825143322b711164d9c7a218f4f8850724ed
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Sep 28 13:08:08 2007 +0000

    Bump version to 0.1.2
    
    
    20070928130808-53eee-012656f35461e90004ccf9afbc6875b1424964ba.gz

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 6a844e340cd74d1fc52d095cf8cc765f5b42ab62
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Sep 28 13:06:53 2007 +0000

    Clean up build system: don't distribute generated files, do distribute the .list they're generated from, don't put libraries in AM_LDFLAGS (use ALL_LIBS instead like Gabble does, and explicitly reference that variable)
    
    
    20070928130653-53eee-cb08698e9d62e37e85055819ce138151b1cac643.gz

 src/Makefile.am |   31 ++++++++++++++++++++++++-------
 1 files changed, 24 insertions(+), 7 deletions(-)

commit 675647d764fd1b6a7d16cb3ef2a4c0ee0f75c2a4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Sep 28 13:05:45 2007 +0000

    Add OpenSSL cflags/libs when compiling tests
    
    
    20070928130545-53eee-73513c89cd07cccac748e5ed15cba97986da09ed.gz

 tests/Makefile.am |   20 ++++++++++++++++----
 1 files changed, 16 insertions(+), 4 deletions(-)

commit 59006eb65a19811dcb910ef7a0eb84fd98564b04
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Sep 28 13:05:16 2007 +0000

    Remove stray references to svc-unstable.h
    
    
    20070928130516-53eee-f5359f52373deaefb003c72eff30aeb7f00ebe09.gz

 src/idle-muc-channel.c |    1 -
 src/idle-muc-factory.c |    1 -
 2 files changed, 0 insertions(+), 2 deletions(-)

commit 5cd971ea9c10f712abd841ff44184f465f956bc4
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Fri Sep 28 12:47:13 2007 +0000

    Add a Darcs _boring file
    
    
    20070928124713-53eee-bdeedd8e2add23b1a30f3f479cc637662c8ba217.gz

 _boring |   74 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 74 insertions(+), 0 deletions(-)

commit e13c4d2146bf81f24e22048ed81da17a3abe1452
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Sep 25 19:29:11 2007 +0000

    Hook up the locally built stubs for Renaming and use them instead of the ones in tp-glib-unstable
    
    
    20070925192911-53eee-f55246e258e8a2b03262774967fae48504170a6c.gz

 Makefile.am           |    3 +--
 autogen.sh            |   27 +++++++++++++++++++++++++++
 configure.ac          |   25 ++++++++++++++++++++-----
 src/Makefile.am       |    5 ++++-
 src/idle-connection.c |   17 +++++++++--------
 5 files changed, 61 insertions(+), 16 deletions(-)

commit cd911ed48753313a8faf0914cfc280a3379947fe
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Tue Sep 25 19:28:41 2007 +0000

    Add enough extensions-generating infrastructure to generate stubs for the Renaming interface
    
    
    20070925192841-53eee-a61557a2cf97d52ca9dfb909cf2659d2ff9a165c.gz

 extensions/Connection_Interface_Renaming.xml |   93 ++++
 extensions/Makefile.am                       |   95 ++++
 extensions/all.xml                           |   27 +
 extensions/extensions.h                      |   10 +
 extensions/tools/Makefile.am                 |    9 +
 extensions/tools/c-constants-generator.xsl   |  255 +++++++++
 extensions/tools/c-interfaces-generator.xsl  |   82 +++
 extensions/tools/doc-generator.xsl           |  427 ++++++++++++++++
 extensions/tools/genginterface.py            |  709 ++++++++++++++++++++++++++
 extensions/tools/ls-interfaces.xsl           |   33 ++
 extensions/tools/make-all-async.xsl          |   22 +
 extensions/tools/spec-to-introspect.xsl      |   26 +
 extensions/tools/update-spec-gen-am.sh       |   75 +++
 13 files changed, 1863 insertions(+), 0 deletions(-)

commit b9d946038a2420aab9d1669542dcdd1fc8dd42f6
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Jun 12 16:25:18 2007 +0000

    Bump version to 0.1.1
    
    
    20070612162518-9db4d-80ed5bb04e21a2cbb5997ab3c2689cbe8a6841c6.gz

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit fe9d1cbdef86631a17dcb2ce74f439554d6152ec
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Jun 4 11:14:39 2007 +0000

    Change IdleMUCChannels's join-ready marshaller to the correct one, should fix fdo #11121
    
    
    20070604111439-9db4d-acb369a8d884fbf6be948b6442c960ed27d196d3.gz

 src/idle-muc-channel.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 1f323438e60f919153ab5b9dc8fcee0318fcb087
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Jun 4 10:59:52 2007 +0000

    Check that the channels hash table actually exists before doing anything with it. Should fix fdo #11122
    
    
    20070604105952-9db4d-d33c41ee81929eb2874a44acaa0f6e6147c28f7f.gz

 src/idle-im-factory.c  |   26 ++++++++++++-
 src/idle-muc-factory.c |   97 ++++++++++++++++++++++++++++++++++++++++++++++--
 2 files changed, 117 insertions(+), 6 deletions(-)

commit 6fdc69c1f6b84baeb1e69218f493826d8a6790f0
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu May 10 10:12:23 2007 +0000

    Assume IRC channels with no prefix mean channels with prefix #
    
    
    20070510101223-9db4d-a50c3ddec233076d28fd9bce763f4d1e5ee59281.gz

 src/idle-handles.c |   14 ++++++++++++--
 1 files changed, 12 insertions(+), 2 deletions(-)

commit 53cd5666bd2bdaca0badb4d5ce746e04765c2a46
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue May 1 13:02:53 2007 +0000

    Remove stale _nick_handler prototype from idle-im-factory.c
    
    
    20070501130253-9db4d-f7818347b3059072f408c0f4c0be67fb745dee50.gz

 src/idle-im-factory.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit b19f346d2cafe0f2c5a6f45a817cb98bb7f6cef8
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue May 1 12:06:49 2007 +0000

    Remove the bogus reasons from MembersChanged signals in IdleMUCChannel
    
    
    20070501120649-9db4d-abcff2d1c55a47486bc2a36bfcf3f381c5d40227.gz

 src/idle-muc-channel.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

commit a19b8cba196ea11fc199a73a80720d2e4e2883c6
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 30 14:00:13 2007 +0000

    Make SetAliases on your self handle work like RequestRename
    
    
    20070430140013-9db4d-e3bc6fda90a529f06bdad8c732efbe40e2a2c5e7.gz

 src/idle-connection.c |   42 ++++++++++++++++++++++++++----------------
 1 files changed, 26 insertions(+), 16 deletions(-)

commit d15f70efdc25ae1df48a9d9b6fa7e680a8e6bfc0
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 27 18:46:16 2007 +0000

    Change IdleMUCChannel's namereply aggregation set to TpHandleSet, we need refs to the handles
    
    
    20070427184616-9db4d-a2bf49801dcdae76e94089d38e0147fa6fd09622.gz

 src/idle-muc-channel.c |   22 ++++++++++++++++------
 1 files changed, 16 insertions(+), 6 deletions(-)

commit 53b29a1f2437a24397f6a46cdbc555b712ae769c
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 27 18:15:27 2007 +0000

    Dispose of queued AliasesChanged crack in idle_connection_dispose
    
    
    20070427181527-9db4d-e6482abae289a74bbf636e9f68788367eaac9f36.gz

 src/idle-connection.c |    6 ++++++
 src/idle-parser.c     |    2 +-
 2 files changed, 7 insertions(+), 1 deletions(-)

commit fe6198da9761d622e3fcd88e8dc21df02f92df0e
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 27 17:45:45 2007 +0000

    Now that the trigger points are in place, remove emit_queued_aliases_changed from queue_aliases_change in IdleConnection
    
    
    20070427174545-9db4d-25815e9123b68aafa264f2dcf59993783a46a740.gz

 src/idle-connection.c |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 64190a03257a0f30ef89d3c49a452357738e879f
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 27 17:42:24 2007 +0000

    Add queued AliasChanged emission to IdleMUCFactory's TOPICSTAMP handler
    
    
    20070427174224-9db4d-932370e094dccdc72851e2b5902948b79d4af11f.gz

 src/idle-muc-factory.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 5d26721928c3f26a2e421258de95dca39464b2e7
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 27 17:17:26 2007 +0000

    Trigger emitting queued AliasesChanged in IdleConnection's NICK handler
    
    
    20070427171726-9db4d-16d18ef5181418c3a73fa70d8103605640940dc1.gz

 src/idle-connection.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit ac2a49b042f28195da02f82757e25264dab49c37
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 27 14:30:54 2007 +0000

    Add queued AliasesChanged emission trigger in IdleMUCFactory's INVITE handler
    
    
    20070427143054-9db4d-f12d56800a37b50dd434db223ffdc0147a9cf426.gz

 src/idle-muc-factory.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit e2944ef6771203868679ddf92ff72cb8b1bbf3d4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 27 14:29:36 2007 +0000

    Add queued AliasesChanged emission trigger in IdleMUCFactory's JOIN handler
    
    
    20070427142936-9db4d-d4491ba974c6f46586495c9b47738e2af1a62638.gz

 src/idle-muc-factory.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 7ec3f6dd05372a9329d90202f800b6ee38602015
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 27 14:27:19 2007 +0000

    Add trigger point for emitting AliasesChanged in IdleIMFactory's incoming PRIVMSG/NOTICE handler
    
    
    20070427142719-9db4d-21a752e3c831cf09604d0b5fe3876a9490f2ac5b.gz

 src/idle-im-factory.c |    3 +++
 1 files changed, 3 insertions(+), 0 deletions(-)

commit c72a17684768f37110a73cd988bb61e20964ccd1
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 27 14:20:53 2007 +0000

    Aggregate MUCChannel NAMEREPLY MembersChanged signals with IRC RPL_ENDOFNAMES
    
    
    20070427142053-9db4d-0856f145deaf715730a6f1170649e7648df0470c.gz

 src/idle-muc-channel.c |   18 +++++++++++++++---
 src/idle-muc-channel.h |    1 +
 src/idle-muc-factory.c |   13 +++++++++++++
 src/idle-parser.c      |    1 +
 src/idle-parser.h      |    1 +
 5 files changed, 31 insertions(+), 3 deletions(-)

commit a9d9af5868546f799fe38e16f15e192aee3a2fef
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 26 18:12:32 2007 +0000

    Utilize Connection.Interface.Aliasing for representing IRC nicks in their correct case
    
    
    20070426181232-9db4d-14bd84fba2a43c58f2f0cb400051249e9babdec8.gz

 src/idle-connection.c |  139 ++++++++++++++++++++++++++++++++++++++++++++++--
 src/idle-connection.h |    3 +
 src/idle-parser.c     |    2 +
 3 files changed, 138 insertions(+), 6 deletions(-)

commit f37d5de9ebe37b755624ba932a1b22b53962dcab
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 26 17:39:49 2007 +0000

    Parse prefixcmds as prefixcmds and non-prefix as such, no mixing up crack
    
    
    20070426173949-9db4d-1b8d022936474e377d77cc3f69504fa482620f92.gz

 src/idle-parser.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d7ee9b1fdbed575cd159324ce2eefb6f5fbe644f
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 26 10:14:11 2007 +0000

    Remove old declarations from idle-connection.h
    
    
    20070426101411-9db4d-5e00ca95b72c66b177cca3c3e1159a270d45e8fa.gz

 src/idle-connection.h |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit b4fae14eba9f1ddb2888a5752bf158d23f5e5909
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 26 09:57:46 2007 +0000

    Restyle idle-handles.[ch]
    
    
    20070426095746-9db4d-ab40051022f1632a4fcf45d693e9954c92ea4471.gz

 src/idle-handles.c |  146 +++++++++++++++++-----------------------------------
 src/idle-handles.h |    3 -
 2 files changed, 47 insertions(+), 102 deletions(-)

commit 067ed02b89ecd2506b6de597df67acaeb874a829
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 26 08:59:41 2007 +0000

    Forward-declare IdleConnection properly
    
    
    20070426085941-9db4d-b5182302525f2671ffc25edd8fcb6d186d8a03f7.gz

 src/idle-connection.h |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 53f6fd7f67661307a61649615b2f5c971395324f
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue May 1 11:29:41 2007 +0000

    Use blingbling killer for NOTICE messages as well
    
    
    20070501112941-9db4d-41a22442ce7b0a04f72770a0de71b1bb6cab3fff.gz

 src/idle-im-factory.c  |    3 ++-
 src/idle-muc-factory.c |    3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

commit 84c041c1d23ab37c151100b20fe379e3f4b12400
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue May 1 11:29:23 2007 +0000

    Use the blingbling killer in idle_text_decode
    
    
    20070501112923-9db4d-4c216211000b296687dfb5fab579528d635e8b83.gz

 src/idle-text.c |   13 ++++++++++---
 1 files changed, 10 insertions(+), 3 deletions(-)

commit a2769e39a160412a08a7a6d1020e66b66ba0792f
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue May 1 11:20:28 2007 +0000

    Add idle_ctcp_kill_blingbling for removal of mIRC & co formatting tokens
    
    
    20070501112028-9db4d-9bd10a6ead7027f0ceb78d2072862572978b0279.gz

 src/idle-ctcp.c |   41 +++++++++++++++++++++++++++++++++++++++++
 src/idle-ctcp.h |   10 ++++++++++
 2 files changed, 51 insertions(+), 0 deletions(-)

commit c042b96cbd636f9e927dd3aba2898a5428983ea4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue May 1 11:17:01 2007 +0000

    Add minimal test for idle_ctcp_kill_blingbling
    
    
    20070501111701-9db4d-7c0d921bfc5795eef541443157bfdfada0faf1a3.gz

 tests/Makefile.am                 |    7 ++++++-
 tests/test-ctcp-kill-blingbling.c |   31 +++++++++++++++++++++++++++++++
 2 files changed, 37 insertions(+), 1 deletions(-)

commit 4c7b85bda4b14db875193c53bf68e32fc35b1f21
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue May 1 09:55:47 2007 +0000

    Proper escaping in _ctcp_send
    
    
    20070501095547-9db4d-994e8b7c13c8df19bb3ad0254b15ccc7d5ab485c.gz

 src/idle-ctcp.c |   59 +++++++++++++++++++++++++++++++++++++++++++++---------
 src/idle-ctcp.h |    9 +++++--
 2 files changed, 55 insertions(+), 13 deletions(-)

commit 4163528a91b8eb9c2a4a692db8dc99e522344293
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 30 14:26:18 2007 +0000

    Use check_programs instead of nst_programs for the tests
    
    
    20070430142618-9db4d-f30d8bb12f9af221fac50b4b37059816d51e8ff2.gz

 tests/Makefile.am |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit b1faee39e9cba4d4f4eda0b30967ca837904e562
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 30 14:24:13 2007 +0000

    Make test-ctcp-tokenize return 1 on failure
    
    
    20070430142413-9db4d-2f076672218ebde01d4134b3eca22c8556e7652f.gz

 tests/test-ctcp-tokenize.c |   11 +++++++++--
 1 files changed, 9 insertions(+), 2 deletions(-)

commit de74238fdc5cf00ca82fbb592fb106f64128c14a
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 30 12:59:48 2007 +0000

    Add test for CTCP tokenizer
    
    
    20070430125948-9db4d-d7e14e47b75573ed1c012f375f693904ce7620ac.gz

 Makefile.am                |    2 +-
 configure.ac               |    5 +++--
 tests/Makefile.am          |   12 ++++++++++++
 tests/test-ctcp-tokenize.c |   21 +++++++++++++++++++++
 4 files changed, 37 insertions(+), 3 deletions(-)

commit 94de5297c307f1ec57f6b26832634fe8da8ee83a
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 30 12:59:36 2007 +0000

    Add CTCP decoding/tokenizing function
    
    
    20070430125936-9db4d-f1f0b70e9ee12bffd2e620498c4ff8ba0cbe30cd.gz

 src/idle-ctcp.c       |   77 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/idle-ctcp.h       |    9 ++++++
 src/idle-im-factory.c |    1 -
 3 files changed, 86 insertions(+), 1 deletions(-)

commit ba52bef303a4cd685d598e841174e3d9ff0fac7a
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Apr 28 12:10:55 2007 +0000

    Add utility functions for sending CTCP messages
    
    
    20070428121055-9db4d-eec2e9281a0a913ef2778fb175fa32aed0b0469a.gz

 src/Makefile.am |    2 ++
 src/idle-ctcp.c |   41 +++++++++++++++++++++++++++++++++++++++++
 src/idle-ctcp.h |   37 +++++++++++++++++++++++++++++++++++++
 3 files changed, 80 insertions(+), 0 deletions(-)

commit f2c602af02474ecb294639e97ba227738e2fdb49
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Apr 28 11:59:18 2007 +0000

    Use the CTCP helpers for sending VERSION replies
    
    
    20070428115918-9db4d-0157677ecc9979de09aaea078bdf33c384308b19.gz

 src/idle-connection.c |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit d6e63999b2ff796dfb70efcac432e096cb75d319
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 26 18:41:53 2007 +0000

    In conformance to the latest spec semantics, don't do anything for IM channels on rename
    
    
    20070426184153-9db4d-aaa730bde444a84c7da2f44f9f3076233aade397.gz

 src/idle-im-factory.c |   16 ----------------
 1 files changed, 0 insertions(+), 16 deletions(-)

commit 15f2e020abd89e15d0ca676f7cbdf6e31a923cf4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 26 18:12:02 2007 +0000

    Check for old_handle == new_handle in NICK handlers
    
    
    20070426181202-9db4d-0bd093bfaaa551e0113005e3a1ef4207ff91ea22.gz

 src/idle-connection.c  |    3 +++
 src/idle-im-factory.c  |    3 +++
 src/idle-muc-factory.c |    3 +++
 3 files changed, 9 insertions(+), 0 deletions(-)

commit 7bfbbb381972dd3aa178bae670e5c3b94fa2a2cd
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 24 13:32:06 2007 +0000

    Handle NICK in IdleIMFactory by creating a new channel for the new handle if we had one for the old handle
    
    
    20070424133206-9db4d-389cbb67aad03780e702ec5bfb69074127272902.gz

 src/idle-im-factory.c |   14 ++++++++++++++
 1 files changed, 14 insertions(+), 0 deletions(-)

commit 8029da63fc6b37e61ff66c1276cf8cf78db24d15
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 24 13:19:50 2007 +0000

    Change the group mixin's self handle in _idle_muc_channeL_rename
    
    
    20070424131950-9db4d-5b002988ad9c99383e553786aed40885bb19e39d.gz

 src/idle-muc-channel.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletions(-)

commit c4706bd87e05c93bfa9db9df4f13dcf1028bac3f
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 24 13:07:47 2007 +0000

    Move emitting Renamed back to IdleConnection's _nick_handler, but attach it with IDLE_PARSER_HANDLER_PRIORITY_FIRST
    
    
    20070424130747-9db4d-8e4c6b0c813d1b7e047db359683671d87ee6db42.gz

 src/idle-connection.c  |    4 +++-
 src/idle-muc-factory.c |    3 ---
 2 files changed, 3 insertions(+), 4 deletions(-)

commit fd3cc3f1f6819d3e50aecaa9c06c8d45d56af3a6
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 24 12:54:29 2007 +0000

    Rename IdleParser's _data_compare_func to be consistent with naming conventions
    
    
    20070424125429-9db4d-c1b251885e93e7ce7889fd9d619d20737a18a62f.gz

 src/idle-parser.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 2001f649bb46386bf5e8971f9922e75c6d9845cf
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 24 12:53:03 2007 +0000

    Add priority to IdleParser message handlers for guaranteed ordering
    
    
    20070424125303-9db4d-24017917f32c5874166d44b2e43ae45ebc4be919.gz

 src/idle-parser.c |   16 ++++++++++++++--
 src/idle-parser.h |    8 ++++++++
 2 files changed, 22 insertions(+), 2 deletions(-)

commit 6f876cb0169a53263063ac0782224610055ad547
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 24 11:08:17 2007 +0000

    Remove cracky _idle_im_channel_rename
    
    
    20070424110817-9db4d-ed0f87450c864b4a17861deb2620c6db5bcf3f2b.gz

 src/idle-im-channel.c |   21 ---------------------
 src/idle-im-channel.h |    1 -
 2 files changed, 0 insertions(+), 22 deletions(-)

commit dd68c2873debf430451d0fdb669e68eb04d3bcc1
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 24 10:27:15 2007 +0000

    Rename text.[ch] to idle-text.[ch] (how incredibly clever to do it in this branch)
    
    
    20070424102715-9db4d-eb7d543b6c6b0253dfe1708649b46643df7dcfe5.gz

 src/Makefile.am        |    4 +-
 src/idle-im-channel.c  |    2 +-
 src/idle-im-factory.c  |    2 +-
 src/idle-muc-channel.c |    2 +-
 src/idle-muc-factory.c |    2 +-
 src/idle-text.c        |  128 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/idle-text.h        |   37 ++++++++++++++
 src/text.c             |  128 ------------------------------------------------
 src/text.h             |   37 --------------
 9 files changed, 171 insertions(+), 171 deletions(-)

commit 90f2a126471ef72313c22deee7d8e8d6648df7d5
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 14:02:04 2007 +0000

    Second attempt: use TpHandleSet to keep track of handles reffed while parsing
    
    
    20070423140204-9db4d-c9f3bfb2bbacb1be7ca2da0d82bf0ccf3a2d3958.gz

 src/idle-parser.c |   58 ++++++++++++++++++++++++----------------------------
 1 files changed, 27 insertions(+), 31 deletions(-)

commit 643a55a3598c5271292628f62fee1fc57d978a15
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 13:08:16 2007 +0000

    IDLE_DEBUG in text.c
    
    
    20070423130816-9db4d-00bdb9dd8563c0ffe65a3e1db6de2c3d9a26860b.gz

 src/text.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 7e6c4442977a56c3cdabaf0405124deb19003ac5
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 13:07:33 2007 +0000

    IDLE_DEBUG in IdleSSLServerConnection
    
    
    20070423130733-9db4d-4b7ac7d3e5c58a20103bb2fc74c92c93c0f8f6af.gz

 src/idle-ssl-server-connection.c |   54 +++++++++++++++++---------------------
 1 files changed, 24 insertions(+), 30 deletions(-)

commit 1ddac0365b0d222985b60673a6ae25c70b5d1775
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 13:06:31 2007 +0000

    IDLE_DEBUG in IdleServerConnection
    
    
    20070423130631-9db4d-b9583f5ef0a8785231fcea56fc87c152f416cfa7.gz

 src/idle-server-connection.c |   71 ++++++++++++++++++++++--------------------
 1 files changed, 37 insertions(+), 34 deletions(-)

commit 453874caeda98e3d227da3d23b7726ec6b149766
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 13:04:49 2007 +0000

    IDLE_DEBUG in IdleParser
    
    
    20070423130449-9db4d-4d5510c945ba861d80de983d75cc08cd64999501.gz

 src/idle-parser.c |   29 ++++++++++++++++-------------
 1 files changed, 16 insertions(+), 13 deletions(-)

commit 198b055df84140840c9c1324562eda86e43d3fcf
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 12:58:58 2007 +0000

    Remove debug statements from the unused sofia DNS code to not bugger my greps
    
    
    20070423125858-9db4d-eabc8e1fb8058b4ae69a416dd0b1aa6697fc7f61.gz

 src/idle-dns-resolver.c |    4 ----
 1 files changed, 0 insertions(+), 4 deletions(-)

commit 1ad54d8b5818157a9f81029dc5097d808211b421
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 12:55:57 2007 +0000

    IDLE_DEBUG in IdleMUCChannel
    
    
    20070423125557-9db4d-7966be562ab4c695d8df5290a5320d0399f2bce4.gz

 src/idle-muc-channel.c |   89 +++++++++++++++++++++++++-----------------------
 1 files changed, 46 insertions(+), 43 deletions(-)

commit 5c7b4ebea7d27bff18b6df2b377f6cb7c1e36b33
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 12:41:00 2007 +0000

    IDLE_DEBUG in IdleIMChannel
    
    
    20070423124100-9db4d-bcaa9c040b8155dfe0986a0991d09060360f4d42.gz

 src/idle-im-channel.c |    9 ++++++---
 1 files changed, 6 insertions(+), 3 deletions(-)

commit b42d3bab6569f1696af90537cd11ac2096852b22
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 12:30:54 2007 +0000

    IDLE_DEBUG in IdleDNSResolver
    
    
    20070423123054-9db4d-ba6e5d14327dca879908907b7c091133323db27c.gz

 src/idle-dns-resolver.c |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 53deafda8f9206568295b0d79af1f08caf2c0aba
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 12:20:53 2007 +0000

    IDLE_DEBUG in IdleConnection
    
    
    20070423122053-9db4d-da95fc1915b8813c0a254b1a4978c3b80cd856eb.gz

 src/idle-connection.c |   27 +++++++++++++++------------
 1 files changed, 15 insertions(+), 12 deletions(-)

commit 374d32c613fbdcbda3dbb0cb26873523bd54c77d
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 12:14:45 2007 +0000

    Make it possible to switch debug flags mid-file
    
    
    20070423121445-9db4d-615a1838d56d336a618cb97e3093659c58b41157.gz

 src/idle-debug.h |    5 +++--
 1 files changed, 3 insertions(+), 2 deletions(-)

commit 04a6dac114b8ccc9e2b4defc8d06e67fd261b245
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 12:14:31 2007 +0000

    Change the debug flag names to be consistent with Gabble
    
    
    20070423121431-9db4d-e17f4fbf8eca6fa3c834d10bbe896090fef36330.gz

 src/idle-debug.c |    6 +++---
 src/idle-debug.h |    6 +++---
 2 files changed, 6 insertions(+), 6 deletions(-)

commit 256aa73ef472603e21d668954edbb554a79132bd
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 23 11:53:44 2007 +0000

    Add Gabble-style debug subsystem (no debug flags used in Idle yet though)
    
    
    20070423115344-9db4d-84ef684d4383d76051e95989bc631bf4d7504c66.gz

 src/Makefile.am  |    2 +
 src/idle-debug.c |   64 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 src/idle-debug.h |   46 ++++++++++++++++++++++++++++++++++++++
 src/idle.c       |    7 +----
 4 files changed, 114 insertions(+), 5 deletions(-)

commit 90a614364274e9c8011f4fe3ce3b9b78c929285a
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 20 13:53:58 2007 +0000

    Plug leaking all incoming messages after charset conversion
    
    
    20070420135358-9db4d-cef4f691e64da9bbf8e9c066e56ff0c3a996cf0e.gz

 src/idle-connection.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 51226c462ea0919d2c646d630bc94ba12815f5e9
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 20 13:23:18 2007 +0000

    Change the reffed handle sets in IdleParser to GSLists instead of TpIntSet, the same handle may be reffed multiple times
    
    
    20070420132318-9db4d-e94127ac9695434884eb57df0fd18f44bbf8819e.gz

 src/idle-parser.c |   38 ++++++++++++++++++--------------------
 1 files changed, 18 insertions(+), 20 deletions(-)

commit 0aff110177125fe07023e3c5b0aed29f106a7abb
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 20 11:58:24 2007 +0000

    Don't duplicate the default connection parameters in IdleConnection
    
    
    20070420115824-9db4d-1f35a034b4e42ddd8471793896c0e69ebf2e1063.gz

 src/idle-connection-manager.c |   23 +++++++++++------------
 src/idle-connection.c         |    6 +++---
 2 files changed, 14 insertions(+), 15 deletions(-)

commit 1da1f9b7874cc09996793602bfb589a723b29c92
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Thu Apr 19 18:53:11 2007 +0000

    Use svc-unstable.h for the Renaming interface - it's not in the shared library as of telepathy-glib 0.5.10
    
    
    20070419185311-53eee-c3cf8e36a79ddcff230db7df3c670a15ff10c316.gz

 src/idle-connection.c  |    1 +
 src/idle-muc-channel.c |    1 +
 src/idle-muc-factory.c |    1 +
 3 files changed, 3 insertions(+), 0 deletions(-)

commit e2fcf87d0a9f84def0d1628b036c0ed0a8762fd0
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Apr 18 16:55:09 2007 +0000

    Build against telepathy-glib-unstable static library if telepathy-glib is newer than 0.5.9, to get the Renaming interface
    
    
    20070418165509-53eee-c9ec0efa1fb27e051d78e8140bd3c162c3d69b02.gz

 configure.ac |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

commit 9a4be9ecf6f0cfaec1e0b66c5d1945382f9c430c
Author: Simon McVittie <simon.mcvittie@collabora.co.uk>
Date:   Wed Apr 18 16:53:51 2007 +0000

    Adapt to telepathy-glib >= 0.5.8 group mixin API
    
    
    20070418165351-53eee-41ec6d06437033e3e5c497bb17bd1143d1570a8a.gz

 configure.ac           |    2 +-
 src/idle-muc-channel.c |   38 +++++++++++++++++++-------------------
 2 files changed, 20 insertions(+), 20 deletions(-)

commit 089e1d656332d58811ec369fc2147194c05e95d3
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 20 10:31:24 2007 +0000

    Use run.h
    
    
    20070420103124-9db4d-ab6879b88a63eb9b95192b1cfb035fbdbfec1848.gz

 src/Makefile.am |    3 +-
 src/idle.c      |   82 +++++++++----------------------------------------------
 src/idle.h      |   30 --------------------
 3 files changed, 14 insertions(+), 101 deletions(-)

commit c4c688801f262ac92dc2ae7cc44423d6ed5a925f
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 19 13:19:27 2007 +0000

    New CTCP VERSION handler
    
    
    20070419131927-9db4d-1779d09a15ba7431e061334c4692538fd05d6c3e.gz

 src/idle-connection.c |   46 ++++++++++++++++++++++++++--------------------
 1 files changed, 26 insertions(+), 20 deletions(-)

commit 61cbd46e61ec5c6af08172efb7951ceacc87c400
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 19 12:28:31 2007 +0000

    Remove my stupid misinformed idle-version.h stuff
    
    
    20070419122831-9db4d-fc14d370eaafdc3874383feea6b0b77c9d2f8a0c.gz

 src/Makefile.am       |    7 +------
 src/idle-connection.c |    2 --
 src/idle-version.h    |   26 --------------------------
 3 files changed, 1 insertions(+), 34 deletions(-)

commit 1d79b713ccea5b4c1d869f464d5400377cb5a40e
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 19 12:27:30 2007 +0000

    Bump version to 0.1.0
    
    
    20070419122730-9db4d-addf658648bd0d7c59862d3160c4bdf0afb32590.gz

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 395b0da92cce585b76bd67c18e20cdc86c0831bd
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 19 11:59:01 2007 +0000

    Remove unused _idle_muc_channel_has_current_member
    
    
    20070419115901-9db4d-18693cbef979543d5955e92d70b4ca8e116e228a.gz

 src/idle-muc-channel.c |    5 -----
 src/idle-muc-channel.h |    2 --
 2 files changed, 0 insertions(+), 7 deletions(-)

commit 9d8bc7af83f41b81cb7cc45495c6fc4e18a46ca4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 19 11:57:07 2007 +0000

    Remove superfluous GetHandleOwners implementation from IdleMUCChannel
    
    
    20070419115707-9db4d-807b5f250f9e7f7816aa176e9ecb60df3c6bae20.gz

 src/idle-muc-channel.c |   28 ----------------------------
 1 files changed, 0 insertions(+), 28 deletions(-)

commit bfa337f06d57477c7d0c2919773a662ab485000c
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Apr 16 20:47:23 2007 +0000

    New MODE/MODEREPLY handler
    
    
    20070416204723-9db4d-99c1f1c5774bdd57bafa47e25bc19bc2bca691ab.gz

 src/idle-connection.c  |   85 -------------
 src/idle-muc-channel.c |  305 +++++++++++++++++++++++-------------------------
 src/idle-muc-channel.h |    2 +-
 src/idle-muc-factory.c |   15 +++
 src/idle-parser.c      |    4 +-
 5 files changed, 163 insertions(+), 248 deletions(-)

commit 90bc13a7f4aaf9bdfa022fe23058c81d0a25d5bd
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 13 15:44:57 2007 +0000

    Remove MUC rename handler junk from #if 0
    
    
    20070413154457-9db4d-a06b09e279feda5b2ae7957cc1a0f77d3f9bc604.gz

 src/idle-connection.c |   13 -------------
 1 files changed, 0 insertions(+), 13 deletions(-)

commit e71e2018342999ed908e14316f3b5e1744a88ccd
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Fri Apr 13 15:42:50 2007 +0000

    New NICK handler. The MUC factory now emits Renamed even for the connection's self handle so that however the handlers are connected, Renamed always precedes MembersChanged on MUC channels the handle is a member on.
    
    
    20070413154250-9db4d-663c03f5a2ab1978726ca9ac8da4208f42e97379.gz

 src/idle-connection.c  |   12 +++++-------
 src/idle-muc-channel.c |   44 ++++++++++++++++----------------------------
 src/idle-muc-channel.h |   19 +++++++++----------
 src/idle-muc-factory.c |   34 +++++++++++++++++++++++++++++++---
 4 files changed, 61 insertions(+), 48 deletions(-)

commit 9295694c16efd5f1a1c2d6cbf9c8616b3becb57e
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 21:16:40 2007 +0000

    Remove the stupid and needlessly braindead copy of the connection's self handle from IdleMUCChannel
    
    
    20070412211640-9db4d-d43c845fe91801ea98156119006d17759b6e5ece.gz

 src/idle-muc-channel.c |   42 +++++++++---------------------------------
 1 files changed, 9 insertions(+), 33 deletions(-)

commit 0b15c47b25f8f357552bba7e7e7778b39ef3e8f3
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 21:07:47 2007 +0000

    New TOPIC prefixcmd handler
    
    
    20070412210747-9db4d-78b4a1744238fb4a78dd16659023ecca164837bc.gz

 src/idle-connection.c  |   53 ------------------------------------------------
 src/idle-muc-factory.c |   22 +++++++++++++++++++
 src/idle-parser.c      |    2 +-
 3 files changed, 23 insertions(+), 54 deletions(-)

commit 0795a1fff5be0ae3d5313cb6061650cd6a919660
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 19:55:27 2007 +0000

    New TOPIC_STAMP handler
    
    
    20070412195527-9db4d-5bb34ebb2b212fd5c36a4ab129b60687e294f510.gz

 src/idle-connection.c  |   46 ----------------------------------------------
 src/idle-muc-factory.c |   16 ++++++++++++++++
 2 files changed, 16 insertions(+), 46 deletions(-)

commit acac21dde1b20ada34bac03bbddb8c814aac88fa
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 19:38:14 2007 +0000

    New KICK handler
    
    
    20070412193814-9db4d-ed4d04bc0bf72199a64a96f2db656b22b4f34034.gz

 src/idle-muc-factory.c |   16 ++++++++++++++++
 1 files changed, 16 insertions(+), 0 deletions(-)

commit 8662f5518c12f32e5e50b247aa3b88b06efde827
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 19:13:33 2007 +0000

    New handler for the TOPIC numeric
    
    
    20070412191333-9db4d-0952d81bd99091fd810c129fe54a6620a4d37ec9.gz

 src/idle-connection.c  |   42 ------------------------------------------
 src/idle-muc-factory.c |   14 ++++++++++++++
 2 files changed, 14 insertions(+), 42 deletions(-)

commit 4b1fb31d3372fc06ccc42aa04ad2a67b244f53d0
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 18:23:48 2007 +0000

    New QUIT handler for MUC
    
    
    20070412182348-9db4d-3d9b6ab856e87ef0e01e2003b7dc4dc9abd75b86.gz

 src/idle-connection.c  |   26 --------------------------
 src/idle-muc-factory.c |   26 ++++++++++++++++++++++++++
 2 files changed, 26 insertions(+), 26 deletions(-)

commit e53736fc28a9c95dfb6d9992563d0ff8768bf3f4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 17:38:04 2007 +0000

    Remove some more replaced stuff from the if 0'd "todo list" section
    
    
    20070412173804-9db4d-340ef5b4faf9aa9600dac6ca7d161ab8e7b6d0e8.gz

 src/idle-connection.c |  461 -------------------------------------------------
 1 files changed, 0 insertions(+), 461 deletions(-)

commit 8f36eb2be65739c952996a7712342ef770b830ba
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 17:25:34 2007 +0000

    New INVITE handler
    
    
    20070412172534-9db4d-af2f1d4420c4a2f1fdc09475572bfa55b3ab4e03.gz

 src/idle-connection.c  |   64 ------------------------------------------------
 src/idle-muc-channel.c |   23 ++++++----------
 src/idle-muc-factory.c |   29 +++++++++++++++++++--
 3 files changed, 35 insertions(+), 81 deletions(-)

commit 33f949ea8db7d4aee8380bc18b3c203cd9936e18
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 16:38:47 2007 +0000

    Fix IdleParser cutting continuation lines one char short
    
    
    20070412163847-9db4d-45d62a82768a50109a663adce1aaaff8b1b68d73.gz

 src/idle-parser.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 170b957a4d87ec1d279035189ec20dfcc378932c
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 14:54:13 2007 +0000

    Add numeric channel join error handlers and remove the old ones from the if 0 part
    
    
    20070412145413-9db4d-c5c94dcc56d911edf073c6e49d4d427776bc38d6.gz

 src/idle-connection.c  |   96 ------------------------------------------------
 src/idle-muc-factory.c |   41 ++++++++++++++++++++-
 2 files changed, 40 insertions(+), 97 deletions(-)

commit a77e59a60d467aad0cd4fbf9f024938d9ab25420
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 12:21:54 2007 +0000

    Remove the old namereply handler from the if 0'd part now that we have a new one
    
    
    20070412122154-9db4d-9f7cc181b8a1c096e19446d43403094453dcb5bf.gz

 src/idle-connection.c |  105 -------------------------------------------------
 1 files changed, 0 insertions(+), 105 deletions(-)

commit 6d3b1d6ca98d5a724ea1c20227b78da8cd5059a4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 12 11:58:02 2007 +0000

    Add new NAMEREPLY handler
    
    
    20070412115802-9db4d-cdff138e5fab10ad84d3f0834d5894a8765484a0.gz

 src/idle-muc-channel.c |   77 +++++++++++------------------------------------
 src/idle-muc-channel.h |    3 +-
 src/idle-muc-factory.c |    7 ++++
 3 files changed, 26 insertions(+), 61 deletions(-)

commit bd9d6470b4254402d12c2301de68c04f702cd382
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 11 21:27:36 2007 +0000

    Set modechar '\0' for channel members with no modechar on RPL_NAMEREPLY so that we have at least some modechar for all members in the arg array
    
    
    20070411212736-9db4d-3a0fa3cfa2af68113b7ab644dcbe147c8c6aa95f.gz

 src/idle-parser.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 25f3935e89706c6586214e69905aa78f17365600
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 11 21:26:51 2007 +0000

    Fix tokenizing of lines with trailing whitespace sent by borken ircd
    
    
    20070411212651-9db4d-cd1599519e10eac9430833762b0c951d1acc70da.gz

 src/idle-parser.c |    9 +++++----
 1 files changed, 5 insertions(+), 4 deletions(-)

commit 943374e8e052f616813564f5c6480e641ae47be5
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 11 19:09:21 2007 +0000

    Add IdleMUCFactory and update IdleMUCChannel for rudimentary MUC support
    
    
    20070411190921-9db4d-963037ddc197acd17e4535539a916d57bd170b3b.gz

 src/Makefile.am        |    2 +
 src/idle-connection.c  |    4 +
 src/idle-muc-channel.c |  117 ++++--------------
 src/idle-muc-channel.h |    8 +-
 src/idle-muc-factory.c |  318 ++++++++++++++++++++++++++++++++++++++++++++++++
 src/idle-muc-factory.h |   53 ++++++++
 6 files changed, 408 insertions(+), 94 deletions(-)

commit 02cf59fb7b7efebbec39422460ec13ae1e3f5c89
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 11 18:44:10 2007 +0000

    Don't add zero-length strings to args while parsing
    
    
    20070411184410-9db4d-5f56753f3d11b592c32be38da3340d2e32089598.gz

 src/idle-parser.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit 6b2457a5cca14b47b69bdaa66664a287f63125a2
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 11 14:10:41 2007 +0000

    Make IdleMUCChannel compile with the new Connection and handles related stuff and readd it to Makefile.am (a lot of it will change eventually though)
    
    
    20070411141041-9db4d-242f601ba90597b18bc906055468a015e2fcb1c0.gz

 src/Makefile.am        |   33 ++++++++++---------
 src/idle-muc-channel.c |   82 ++++++++++++++----------------------------------
 src/idle-parser.c      |    2 -
 3 files changed, 42 insertions(+), 75 deletions(-)

commit 26a0e913e9292f9b2829633fa8d0d1caa10df6bd
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 11 13:01:53 2007 +0000

    Because nothing is generated anymore, remove the generate/ junk
    
    
    20070411130153-9db4d-d8c0fb0e2c3f743a2aaeaa057a07a7a0db9d47ba.gz

 generate/README                                    |   21 -
 generate/do_src.sh                                 |   27 -
 generate/do_xml.sh                                 |   15 -
 generate/idle.def                                  |    4 -
 .../idle-connection-manager-signals-marshal.list   |    1 -
 generate/src/idle-connection-manager.c             |  202 -------
 generate/src/idle-connection-manager.h             |   65 ---
 generate/src/idle-connection-signals-marshal.list  |    5 -
 generate/src/idle-connection.c                     |  521 -----------------
 generate/src/idle-connection.h                     |   81 ---
 generate/src/idle-im-channel-signals-marshal.list  |    3 -
 generate/src/idle-im-channel.c                     |  258 ---------
 generate/src/idle-im-channel.h                     |   67 ---
 generate/src/idle-muc-channel-signals-marshal.list |   10 -
 generate/src/idle-muc-channel.c                    |  595 --------------------
 generate/src/idle-muc-channel.h                    |   82 ---
 generate/src/telepathy-errors.h                    |   61 --
 generate/xml-modified/idle-connection-manager.xml  |   23 -
 generate/xml-pristine/idle-connection-manager.xml  |   27 -
 generate/xml-pristine/idle-connection.xml          |  113 ----
 generate/xml-pristine/idle-im-channel.xml          |   60 --
 generate/xml-pristine/idle-muc-channel.xml         |  138 -----
 src/Makefile.am                                    |    4 -
 src/idle-muc-channel-signals-marshal.list          |   11 -
 24 files changed, 0 insertions(+), 2394 deletions(-)

commit 669c1508df64716aa598d0e0fb5b16746d44a8c2
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 11 12:59:23 2007 +0000

    Use TpBaseConnectionManager for IdleConnectionManager
    
    
    20070411125923-9db4d-6de001a0ef2e86b4ef8db09e16d41a52ccf8166c.gz

 src/Makefile.am                                  |    5 -
 src/idle-connection-manager-signals-marshal.list |    1 -
 src/idle-connection-manager.c                    |  560 +++-------------------
 src/idle-connection-manager.h                    |   13 +-
 src/idle-connection-signals-marshal.list         |    4 -
 src/idle-connection.c                            |   14 +-
 src/idle.c                                       |    2 +-
 7 files changed, 71 insertions(+), 528 deletions(-)

commit 89a77651232b9cb7bde363e5c76cf55f9404b097
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 11 13:21:24 2007 +0000

    Change the license header copyright statements also in .h files, which I stupidly overlooked :D
    
    
    20070411132124-9db4d-f4cc2d395302fcd5435f2e2ee01ab6855b4bc5f9.gz

 src/idle-connection-manager.h      |    4 ++--
 src/idle-connection.h              |    4 ++--
 src/idle-dns-resolver.h            |    4 ++--
 src/idle-handles.h                 |    4 ++--
 src/idle-im-channel.h              |    4 ++--
 src/idle-im-factory.h              |    4 ++--
 src/idle-muc-channel.h             |    4 ++--
 src/idle-parser.h                  |    4 ++--
 src/idle-server-connection-iface.h |    4 ++--
 src/idle-server-connection.h       |    4 ++--
 src/idle-ssl-server-connection.h   |    4 ++--
 src/idle-version.h                 |    4 ++--
 src/idle.h                         |    4 ++--
 src/text.h                         |    4 ++--
 14 files changed, 28 insertions(+), 28 deletions(-)

commit a316e6cfbd6b410f007ee0aa44f64b89f453ed54
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 10 21:49:15 2007 +0000

    Fix the license header copyright statements in all .c files
    
    
    20070410214915-9db4d-1fcb3dcb0f4873f0fba7ec08f32b32a110463dd3.gz

 src/idle-connection-manager.c      |    4 ++--
 src/idle-connection.c              |    4 ++--
 src/idle-dns-resolver.c            |    4 ++--
 src/idle-handles.c                 |    4 ++--
 src/idle-im-channel.c              |    4 ++--
 src/idle-im-factory.c              |    4 ++--
 src/idle-muc-channel.c             |    4 ++--
 src/idle-parser.c                  |    4 ++--
 src/idle-server-connection-iface.c |    4 ++--
 src/idle-server-connection.c       |    4 ++--
 src/idle-ssl-server-connection.c   |    4 ++--
 src/idle.c                         |    4 ++--
 src/text.c                         |    4 ++--
 13 files changed, 26 insertions(+), 26 deletions(-)

commit fab56665781a954ffb3d3a8dcbfc4840b838570e
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 11 10:23:42 2007 +0000

    Include sys/types.h and netdb.h with __USE_POSIX to get the addrinfo funcs even with C99 on
    
    
    20070411102342-9db4d-8aba96244dfbb2da433b2f21994bc00c5e51ac3d.gz

 src/idle-dns-resolver.h |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 0c54079424d097145879c671b956456f2d230a70
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 10 22:26:29 2007 +0000

    Make RequestRename work
    
    
    20070410222629-9db4d-145b10619336db956be4f22cd019d16c6a019382.gz

 src/idle-connection.c |   62 +++++++++++++++++++++++-------------------------
 src/idle-parser.c     |    2 +-
 2 files changed, 31 insertions(+), 33 deletions(-)

commit f7b027cd1efaa93c2a227d4e03ea736e7684ea55
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Tue Apr 10 21:26:47 2007 +0000

    Use TpBaseConnection in IdleConnection (with no MUC factory, we temporarily lose MUC though)
    
    
    20070410212647-9db4d-797a9f937dd925a75ffc5e7c1f4c73e703e599ea.gz

 generate/xml-modified/idle-connection.xml |   65 -
 src/Makefile.am                           |    5 -
 src/idle-connection-manager.c             |    4 +-
 src/idle-connection.c                     | 2578 +++++++----------------------
 src/idle-connection.h                     |   38 +-
 src/idle-handles.c                        |   60 -
 src/idle-handles.h                        |    5 -
 src/idle-im-channel.c                     |   10 +-
 src/idle-im-factory.c                     |    4 +-
 src/idle-parser.c                         |   13 +-
 10 files changed, 612 insertions(+), 2170 deletions(-)

commit f4073990800ea7d7bc256c1661577380c81c85e0
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Apr 7 07:21:13 2007 +0000

    Use C99
    
    
    20070407072113-9db4d-db35bc7abf92de1d89def14cf1e2374750a9d8b4.gz

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 259e34fa5aa97d55f48f25e8b2d45216a8635828
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 5 18:05:31 2007 +0000

    Remove the TOTAL CRACKALL implementation of Presence
    
    
    20070405180531-9db4d-a38a8379863a578a13288c31cf62518761ab47d1.gz

 generate/xml-modified/idle-connection.xml |   26 -
 src/idle-connection.c                     |  992 +----------------------------
 src/idle-connection.h                     |   18 -
 src/idle-handles.c                        |   29 -
 src/idle-handles.h                        |    3 -
 5 files changed, 1 insertions(+), 1067 deletions(-)

commit ac9084f75e502815ce05bb39593df88cd27d79ea
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Apr 5 17:36:16 2007 +0000

    Add IdleIMFactory
    
    
    20070405173616-9db4d-de445179606d56237e9f4faaa51a8bc34e31aed4.gz

 src/Makefile.am       |    2 +
 src/idle-connection.c |  207 +++++++++++++++----------------------------
 src/idle-im-factory.c |  236 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/idle-im-factory.h |   53 +++++++++++
 src/text.c            |   16 ++++
 src/text.h            |    1 +
 6 files changed, 380 insertions(+), 135 deletions(-)

commit 6c1a17603d684152a4c6c34a7d78db9f8bb58dad
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Apr 4 13:43:10 2007 +0000

    Make object_path public in IdleConnection
    
    
    20070404134310-9db4d-db739c7ea1a31c24f098a471bfd825cb1321458f.gz

 src/idle-connection.c |   17 ++++++++---------
 src/idle-connection.h |    1 +
 2 files changed, 9 insertions(+), 9 deletions(-)

commit 63cef52eccac3bd057ca4d299a5cab1c846f37ea
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Apr 1 10:45:02 2007 +0000

    Make the parser public in IdleConnection
    
    
    20070401104502-9db4d-8faa6ede54f4aede19184f32e36f8d8b50ec56f9.gz

 src/idle-connection.c |   28 ++++++++++------------------
 src/idle-connection.h |    2 ++
 2 files changed, 12 insertions(+), 18 deletions(-)

commit 744c51c0cc3ca75b594f0fcec1587e7fcddc4cf7
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Apr 1 00:27:12 2007 +0000

    Add handler for IDLE_PARSER_NUMERIC_WELCOME
    
    
    20070401002712-9db4d-e24230c986374bd2e0ec53e03f5fa405c73c80ba.gz

 src/idle-connection.c |   43 +++++++++++++++++++------------------------
 1 files changed, 19 insertions(+), 24 deletions(-)

commit 8ccbb19080c193aa611fd77a4580e5ecb69422f3
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Mar 31 23:35:17 2007 +0000

    Add handlers for IDLE_PARSER_NUMERIC_{ERRONEOUSNICKNAME,NICKNAMEINUSE}
    
    
    20070331233517-9db4d-97781976ee60eff21e295c6adc8045918ed4ff70.gz

 src/idle-connection.c |   44 ++++++++++++++++++++------------------------
 1 files changed, 20 insertions(+), 24 deletions(-)

commit 8fb24c79263755130a5890e0f00730ebe8820af4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Mar 31 19:18:59 2007 +0000

    Add _ping_handler, the first IdleParserMessageHandler, and remove cmd_parse from IdleConnection
    
    
    20070331191859-9db4d-a5fa60f9e9d83c370965a2a5f0249c07f7bbcead.gz

 src/idle-connection.c |   34 ++++++++++++++--------------------
 1 files changed, 14 insertions(+), 20 deletions(-)

commit f7055562d68397aef0077f0804dd960fbb46e1a8
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Apr 1 00:34:30 2007 +0000

    Fix the "fixed" pending_msg_compare to preserve FIFOness of the output queue
    
    
    20070401003430-9db4d-f0cc5b4c9524f6d0ea7f56c559729649c557d010.gz

 src/idle-connection.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 0e000ee16e384c76d09df4d6fb54c1fa799209c4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Mar 31 22:44:40 2007 +0000

    For not being braindead out loud, put the message formats to the MessageSpec structs
    
    
    20070331224440-9db4d-9e1a22c8b5be63f920095884aa733a8e4dd7779d.gz

 src/idle-parser.c |  120 ++++++++++++++++++-----------------------------------
 1 files changed, 41 insertions(+), 79 deletions(-)

commit 4675a1ba1c270b0fdd003f99e6a60dfb8e869a16
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Mar 31 19:24:46 2007 +0000

    Do g_slice_free instead of g_free for MessageHandlerClosures in idle_parser_finalize
    
    
    20070331192446-9db4d-e614f7a00acfbd898b51506298f84e552bcbdb7d.gz

 src/idle-parser.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit b45f6bd4ad20bf0a082095d7c0bc1dde400cec0e
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sat Mar 31 18:46:18 2007 +0000

    Add actual parsing to IdleParser, it now seems to parse stuff correctly
    
    
    20070331184618-9db4d-266d19b78932da09df53b3b21dc8b9d8ee328e7e.gz

 src/idle-connection.c  |    2 +-
 src/idle-handles.c     |   14 +-
 src/idle-muc-channel.c |   12 ++
 src/idle-muc-channel.h |    2 +
 src/idle-parser.c      |  404 +++++++++++++++++++++++++++++++++++++++++++++---
 5 files changed, 407 insertions(+), 27 deletions(-)

commit 788cc118e89ae5bcdcba81c534f60df9438bd2e2
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 29 20:04:08 2007 +0000

    Add IRC message format strings to IdleParser (whew, reading those RFCs sure is slow)
    
    
    20070329200408-9db4d-3644eec4bac4a1b327ea3bd70accedca3a2535c2.gz

 src/idle-parser.c |   36 ++++++++++++++++++++++++++++++++++++
 src/idle-parser.h |    9 ++++++---
 2 files changed, 42 insertions(+), 3 deletions(-)

commit 7b0bcf849a037418ab3b7b6ba1b347cb52361017
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 29 17:51:14 2007 +0000

    Add message handlers to IdleParser (no actual parsing yet though)
    
    
    20070329175114-9db4d-5cf0a4e5b14a3473069b23eb1207ddf7a83c2646.gz

 src/idle-parser.c |   49 +++++++++++++++++++++++++++++++++++++++++++++----
 1 files changed, 45 insertions(+), 4 deletions(-)

commit 5a1f46211ddcd022172284ab7a073eae79285616
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 29 17:00:10 2007 +0000

    Actually add idle_parser.[ch]
    
    
    20070329170010-9db4d-ab6a1e805efc9505ddf684fb0f1e9b5ea5497356.gz

 src/idle-parser.c |  105 +++++++++++++++++++++++++++++++++++++++++++++++++
 src/idle-parser.h |  112 +++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 217 insertions(+), 0 deletions(-)

commit 04f1bb6884c051b7327af7caf89c59f775e2bfa3
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 29 14:20:26 2007 +0000

    Start building up the new non-crappy parser, starting with msg_split
    
    
    20070329142026-9db4d-b0b277996d110ba07253e1eb971b7b900598128d.gz

 src/Makefile.am                   |   24 ++++----
 src/idle-connection.c             |   90 ++++++++++++++++++++++++++------
 src/idle-server-connection-util.c |  104 -------------------------------------
 src/idle-server-connection-util.h |   62 ----------------------
 src/idle-server-connection.c      |    2 +-
 src/idle-ssl-server-connection.c  |    3 +-
 6 files changed, 88 insertions(+), 197 deletions(-)

commit cd904ef5deb69e1778c8e8fbea0d52ecb4875249
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 29 11:04:57 2007 +0000

    Only set original ID qdata if the id was valid
    
    
    20070329110457-9db4d-3b2383fb5f7978a015c2ef8f03ba212466d7dda1.gz

 src/idle-handles.c |    8 +++++---
 1 files changed, 5 insertions(+), 3 deletions(-)

commit d00bb0905874463251a2e81779f541de6e8fa81a
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 29 10:08:02 2007 +0000

    Only set error in the normalization callbacks if error was provided
    
    
    20070329100802-9db4d-14c99284f6798e076ac351561bc6eeccac09d951.gz

 src/idle-handles.c |    6 ++++--
 1 files changed, 4 insertions(+), 2 deletions(-)

commit cbbdc79e2a71afee0e025597e21532bc75fd870d
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Mar 28 15:26:24 2007 +0000

    add TELEPATHY_LIBS to telepathy_idle_LDADD to link properly against the static cmlib
    
    
    20070328152624-9db4d-1795fdfe9fcec21b4062e42acfc3c6904fec9615.gz

 src/Makefile.am |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 2e0657f3f84ade2e24e6327e27befa983d5c8875
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Mar 28 15:21:36 2007 +0000

    Port to new handle repo API
    
    
    20070328152136-9db4d-4b0c241a38a6cab149f9af00bd5b243f39644048.gz

 src/idle-connection.c  |   10 +---
 src/idle-handles.c     |   99 ++++++++++++++++++++++++++---------------------
 src/idle-handles.h     |    2 +
 src/idle-im-channel.c  |   10 ++---
 src/idle-muc-channel.c |   18 ++++-----
 5 files changed, 72 insertions(+), 67 deletions(-)

commit 05b15bd32a8d3253e99f92307f18b28ded44ac7d
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 22 17:25:41 2007 +0000

    Don't set idle_contact_presence_free for null ContactPresences - may prevent a segfault
    
    
    20070322172541-9db4d-8257aef413ac2393f9b8c034fd8d46af70efbbef.gz

 src/idle-handles.c |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit 8e7e524e5eed6a7db99280997f6d38ba1c85d869
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 22 17:34:54 2007 +0000

    Make IdleConnection use TpSvcConnectionInterfaceRenaming
    
    
    20070322173454-9db4d-878711115effad0525ebbb89abf4d793de58716f.gz

 generate/xml-modified/idle-connection.xml |    9 -----
 src/idle-connection.c                     |   51 +++++++++++++++++-----------
 src/idle-connection.h                     |    1 -
 3 files changed, 31 insertions(+), 30 deletions(-)

commit 6c75a40a6d5c2083919d37f772b65d59890ddfa7
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 22 16:39:47 2007 +0000

    Drop the nowadays extraneous param to tp_text_mixin_init
    
    
    20070322163947-9db4d-741eefb2051916270e5abf2c2cd5eceff89dcfb6.gz

 src/idle-im-channel.c  |    2 +-
 src/idle-muc-channel.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

commit 1f4c1e3954d64a82f2d390d37dcd720403b803ec
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 22 15:53:31 2007 +0000

    Merge RPL_WELCOME renaming
    
    
    20070322155331-9db4d-fc88a7341656b4e8847a54c3690ee566b36647d7.gz

 src/idle-connection.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

commit 62e07ecd6fa91bf04539bac89201353cd4e13a8e
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 19 20:19:06 2007 +0000

    Make IdleMUCChannel use TpGroupMixin and TpSvcChannelInterfaceGroup
    
    
    20070319201906-9db4d-36515ca229f6a3dc7360dd03b8463d35a87169a2.gz

 generate/xml-modified/idle-muc-channel.xml |   50 ---
 src/Makefile.am                            |    1 -
 src/idle-muc-channel.c                     |  613 ++++------------------------
 src/idle-muc-channel.h                     |   21 +-
 4 files changed, 94 insertions(+), 591 deletions(-)

commit 83954ad2109f4d822355e93d09d03d9b8bd17f3d
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 19 12:32:36 2007 +0000

    Make IdleMUCChannel use TpSvcPropertiesInterface
    
    
    20070319123236-9db4d-e167e5886a2a17bd126bf186931a50c4188b2bdd.gz

 generate/xml-modified/idle-muc-channel.xml |   18 -----
 src/idle-muc-channel.c                     |  112 +++++++++++++++++-----------
 src/idle-muc-channel.h                     |    3 -
 3 files changed, 68 insertions(+), 65 deletions(-)

commit 78d77aa05bbaa72f23ca8fe317a7f20dc557b8f8
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 19 12:32:08 2007 +0000

    Do tp_svc_channel_return_from_close in idle_muc_channel_close
    
    
    20070319123208-9db4d-fa0cb315d3a4a9685058b7146e6386ad77de43c1.gz

 src/idle-muc-channel.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit 67ba24e4ae01f709a2dfd7691528880cb623a046
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 19 06:50:31 2007 +0000

    Make IdleMUCChannel use TpSvcChannelInterfacePassword
    
    
    20070319065031-9db4d-36fb1d9db921279c0df0867e76d71d878ad1e876.gz

 generate/xml-modified/idle-muc-channel.xml |   18 +----------
 src/idle-muc-channel.c                     |   42 ++++++++++++++-------------
 src/idle-muc-channel.h                     |    2 -
 3 files changed, 24 insertions(+), 38 deletions(-)

commit 561ae9505ff530f76129bee27d7a49167b9cfad4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 19 06:37:38 2007 +0000

    Include svc-channel.h directly from Idle{IM,MUC}Channel
    
    
    20070319063738-9db4d-5798f1c9722cf31f396f6f88cd12dbda3c281669.gz

 src/idle-im-channel.c  |    1 +
 src/idle-muc-channel.c |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

commit aa562367eb949e4ff83d4e2b7206a4cb5db3fe12
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 19 06:28:31 2007 +0000

    Make IdleMUCChannel use the channel interface
    
    
    20070319062831-9db4d-c25b549cd267b1b798ec0f244baa02526644e46a.gz

 generate/xml-modified/idle-muc-channel.xml |   18 +----
 src/idle-im-channel.c                      |    3 +-
 src/idle-muc-channel.c                     |  120 ++++++++++------------------
 src/idle-muc-channel.h                     |    4 -
 4 files changed, 43 insertions(+), 102 deletions(-)

commit af878a89f3041c979ed4c6e5dd7861670a05463a
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 19 05:56:17 2007 +0000

    Remove now non-existant text channel type stuff from idle-muc-channel.h
    
    
    20070319055617-9db4d-e17403103372ed4b028ff98ccf31c929e1cd0fe2.gz

 src/idle-muc-channel.h |    3 ---
 1 files changed, 0 insertions(+), 3 deletions(-)

commit 0f458301eba46a9a6726afd220df83955ef7f425
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 19 05:46:47 2007 +0000

    Remove unused variable from idle_text_send
    
    
    20070319054647-9db4d-05b54b2025157334fa86e8c76509e578ebf7a551.gz

 src/text.c |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit c829d85567ee914fa41fd7542e9a36e68d990293
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 19 05:46:23 2007 +0000

    Remove redundant DBUS_API_SUBJECT_TO_CHANGE
    
    
    20070319054623-9db4d-d6775e0444eddae0f1f71da58230459c8f6cd20c.gz

 src/idle-connection.h |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 010ac1568b5c43f91140d5e52687159a53b62574
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 15 18:27:41 2007 +0000

    Make IdleIMChannel use TpSvcChannel and ChannelIface
    
    
    20070315182741-9db4d-ee62ab47ffc1d769a6caa724f8cc08327e18a19e.gz

 generate/xml-modified/idle-im-channel.xml |   19 -----
 src/Makefile.am                           |    3 -
 src/idle-connection.c                     |   32 +-------
 src/idle-im-channel-signals-marshal.list  |    4 -
 src/idle-im-channel.c                     |  124 ++++++++++-------------------
 src/idle-im-channel.h                     |    5 -
 6 files changed, 43 insertions(+), 144 deletions(-)

commit cfbf3b5afdd5961929dc6ba39e3524e69b52bdb9
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 15 17:12:37 2007 +0000

    Make IdleMUCChannel use TpTextMixin
    
    
    20070315171237-9db4d-4082c00805601eb5934d1c278853b3c44259b358.gz

 generate/xml-modified/idle-muc-channel.xml |   37 ---
 src/idle-muc-channel.c                     |  392 +++-------------------------
 src/idle-muc-channel.h                     |    4 +-
 3 files changed, 44 insertions(+), 389 deletions(-)

commit 54650650764e359abda686aec1a0704f8ea9aa8c
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 15 17:12:07 2007 +0000

    do tp_text_mixin_class_init in idle_im_channel_class_init, though due to redundancy in telepathy-glib it'd work withouth
    
    
    20070315171207-9db4d-dcf649efa4245e325e6804044d7083dec99e814a.gz

 src/idle-im-channel.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit c0825128b651d0471616d94a7acbd4146ee7af37
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 12 08:38:12 2007 +0000

    Finalize the TpTextMixin in idle_im_channel_finalize()
    
    
    20070312083812-9db4d-cf9a5edec1aefa41c89b890b9a6cc9fe49453b73.gz

 src/idle-im-channel.c |    2 ++
 1 files changed, 2 insertions(+), 0 deletions(-)

commit b8d4aa47ae122c0bbc13c2c0e7a7f698785856f7
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 12 08:26:24 2007 +0000

    Move the message send implementation of IdleIMChannel to text.[ch], soon to be used by both IdleIMChannel and IdleMUCChannel
    
    
    20070312082624-9db4d-e0626e71da6782778ae2abe1c7c734e198915a06.gz

 src/Makefile.am                   |    2 +
 src/idle-connection.c             |    3 -
 src/idle-connection.h             |    2 +
 src/idle-im-channel.c             |   81 ++-------------------------
 src/idle-muc-channel.c            |    2 -
 src/idle-server-connection-util.h |    4 +-
 src/text.c                        |  110 +++++++++++++++++++++++++++++++++++++
 src/text.h                        |   36 ++++++++++++
 8 files changed, 157 insertions(+), 83 deletions(-)

commit 2c1dc5d66ce024212f73d1e0e68f482c33cfff6a
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Mar 12 07:58:32 2007 +0000

    Make IdleIMChannel use TpTextMixin
    
    
    20070312075832-9db4d-161d0e11ae959fda398bcf0febfb04954df213a5.gz

 generate/xml-modified/idle-im-channel.xml |   32 ---
 src/idle-connection.c                     |   11 -
 src/idle-im-channel.c                     |  320 ++++-------------------------
 src/idle-im-channel.h                     |    8 +-
 4 files changed, 40 insertions(+), 331 deletions(-)

commit e865e660350ae6162a65242d9f3caab685f22c3f
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Feb 4 23:30:29 2007 +0000

    Plug dbus_g_method_get_sender memory leaks
    
    
    20070204233029-9db4d-3f5d46999e8f66254fb90c0b9d3d10291c88faee.gz

 src/idle-connection.c |    4 ++++
 1 files changed, 4 insertions(+), 0 deletions(-)

commit 846e9bb531ba210c9aca15f57dae89edcd6e1d04
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Feb 4 23:22:14 2007 +0000

    Migrate to telepathy-glib HoldHandles/ReleaseHandles
    
    
    20070204232214-9db4d-0dba3dc8ffd92db1d9d7f86166eb294d8cc1c795.gz

 src/idle-connection.c |  159 +++++-------------------------------------------
 1 files changed, 17 insertions(+), 142 deletions(-)

commit 5a6fd3d9c9932c839232d1268586f04bc562f0af
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Feb 4 23:21:47 2007 +0000

    Remove idle-handles-private.h from Makefile.am, since it is history
    
    
    20070204232147-9db4d-786b7d0af7c1ce51df930f5f6acedcc470ecb0e5.gz

 src/Makefile.am |    1 -
 1 files changed, 0 insertions(+), 1 deletions(-)

commit 7980b19cad03351a5ce659cf3137e06e1db7460c
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Feb 4 22:50:14 2007 +0000

    Remove some dead code from IdleMUCChannel
    
    
    20070204225014-9db4d-749ff31fc15f5cd1da748d0841a72536556c8d36.gz

 src/idle-muc-channel.c |   26 --------------------------
 1 files changed, 0 insertions(+), 26 deletions(-)

commit 9e7e082ca9dbd96b957e56ac7539c71971cf70c0
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Feb 4 22:37:14 2007 +0000

    Remove some more dead code from IdleConnection
    
    
    20070204223714-9db4d-33dd074e3880531e0e2022025eb39743cc0c0cb4.gz

 src/idle-connection.c |  901 +------------------------------------------------
 1 files changed, 1 insertions(+), 900 deletions(-)

commit 24c105919db0e9865a7aa8b304f789df1ce9d168
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Feb 4 22:30:35 2007 +0000

    Migrate to the handle repos and sets in telepathy-glib
    
    
    20070204223035-9db4d-eb01a394b0a783b0647d11c1a33d4dc8d15e1c7a.gz

 src/Makefile.am            |    2 -
 src/idle-connection.c      |  294 +++++++++++++++----------------
 src/idle-connection.h      |    7 +-
 src/idle-handle-set.c      |  196 --------------------
 src/idle-handle-set.h      |   50 -----
 src/idle-handles-private.h |   53 ------
 src/idle-handles.c         |  425 ++++++--------------------------------------
 src/idle-handles.h         |   23 +--
 src/idle-im-channel.c      |   33 ++--
 src/idle-im-channel.h      |    4 +-
 src/idle-muc-channel.c     |  165 +++++++++---------
 src/idle-muc-channel.h     |   12 +-
 12 files changed, 316 insertions(+), 948 deletions(-)

commit 559e01e2c8e978fce73ef98556fd0b5fdff09975
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 22:42:28 2007 +0000

    Migrate to the DBus helpers in telepathy-glib
    
    
    20070131224228-9db4d-f1f3ec8bca9fd840de59726147797dd2ceecf092.gz

 src/Makefile.am               |    3 --
 src/idle-connection-manager.c |    2 +-
 src/idle-connection.c         |    3 +-
 src/idle-im-channel.c         |    2 +-
 src/idle-muc-channel.c        |    3 +-
 src/telepathy-helpers.c       |   63 -----------------------------------------
 src/telepathy-helpers.h       |   34 ----------------------
 7 files changed, 4 insertions(+), 106 deletions(-)

commit 39ae94843e3a1ca64404d1b8b9d93d6f5cf1d315
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 22:41:17 2007 +0000

    Remove some totally dead and dried up vintage code
    
    
    20070131224117-9db4d-967a4bc0fa6d9e13bb8fd09d893bf9f7b5c2a1f8.gz

 src/idle-connection.c |   36 ---------------------
 src/idle.c            |   84 -------------------------------------------------
 2 files changed, 0 insertions(+), 120 deletions(-)

commit ef9c9793f47d1afae380d71c058f0a969290d7a4
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 22:33:19 2007 +0000

    Migrate to telepathy-glib Telepathy error definitions
    
    
    20070131223319-9db4d-bef2d99f66ed9e6cc241c3bf9ce5d1c8b443b328.gz

 src/Makefile.am                  |   22 ----------
 src/idle-connection-manager.c    |    8 ++--
 src/idle-connection.c            |   80 +++++++++++++++++++-------------------
 src/idle-im-channel.c            |    8 ++--
 src/idle-muc-channel.c           |   34 ++++++++--------
 src/idle-server-connection.c     |   22 +++++-----
 src/idle-ssl-server-connection.c |   16 ++++----
 src/idle.c                       |    8 +--
 src/telepathy-errors.c           |   31 ---------------
 src/telepathy-errors.h           |   60 ----------------------------
 10 files changed, 87 insertions(+), 202 deletions(-)

commit 1dfa412e373fcc3dcc1bb98a9fef305c1ee02319
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 22:13:55 2007 +0000

    Remove stale crap from CORE_SOURCES
    
    
    20070131221355-9db4d-6d62c58c6c35e78f1b8436fd3305f9365be0e0e5.gz

 src/Makefile.am |    2 --
 1 files changed, 0 insertions(+), 2 deletions(-)

commit 1ebf83ae5cc7e97cc0262bba481b10fedc8adec1
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 22:08:41 2007 +0000

    Migrate to the telepathy interface name constants in telepathy-glib
    
    
    20070131220841-9db4d-e84362b548774a50a531537c90c964a5a0e3f95d.gz

 src/idle-connection.c      |    7 +---
 src/idle-im-channel.c      |    2 +-
 src/idle-muc-channel.c     |    7 +---
 src/telepathy-interfaces.h |   65 --------------------------------------------
 4 files changed, 5 insertions(+), 76 deletions(-)

commit 486bbf3270127441c94fe97bc23d4264de77d336
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 21:55:42 2007 +0000

    Migrate from local copy of the telepathy constants to telepathy-glib/enums.h
    
    
    20070131215542-9db4d-826ca31b6697d67fc994fa9fbfc811a19f27bdcd.gz

 src/idle-connection-manager.c |    4 +-
 src/idle-connection.c         |   46 ++++++++--------
 src/idle-connection.h         |    3 +-
 src/idle-handle-set.h         |    2 +-
 src/idle-handles.h            |    3 +-
 src/idle-im-channel.c         |    3 +-
 src/idle-muc-channel.c        |    3 +-
 src/idle-muc-channel.h        |    2 +-
 src/telepathy-constants.h     |  117 -----------------------------------------
 9 files changed, 36 insertions(+), 147 deletions(-)

commit 8c7b81219052e8b15f474fc49710f82712135899
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 21:20:13 2007 +0000

    Migrate from G(IntSet,Heap) to the versions in telepathy-glib
    
    
    20070131212013-9db4d-99121c1bfd2ddc080836012d11bfde0710ee811b.gz

 src/Makefile.am            |    4 -
 src/gheap.c                |  142 ------------------
 src/gheap.h                |   38 -----
 src/gintset.c              |  353 --------------------------------------------
 src/gintset.h              |   49 ------
 src/idle-connection.c      |   21 ++--
 src/idle-handle-set.c      |   49 +++---
 src/idle-handle-set.h      |    6 +-
 src/idle-handles-private.h |    6 +-
 src/idle-handles.c         |   19 +--
 src/idle-muc-channel.c     |  166 +++++++++++-----------
 11 files changed, 134 insertions(+), 719 deletions(-)

commit f9485c420e63ed152f2305f9b6aff59b5a01b685
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 21:18:43 2007 +0000

    Add telepathy-glib to include and link
    
    
    20070131211843-9db4d-77ccf79046a7fc578d91aae8378ced8b9c553087.gz

 configure.ac    |    6 ++++++
 src/Makefile.am |    4 ++--
 2 files changed, 8 insertions(+), 2 deletions(-)

commit b4bcc969dcea01e1f2fde4b7ada8ef7c195f9e02
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Apr 1 00:35:11 2007 +0000

    Only send PASS if the password has length > 0 and send it with higher priority
    
    
    20070401003511-9db4d-a2509586959892cd1cbd45ecb646bfc274f50213.gz

 src/idle-connection.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

commit d13f90ea458f51c3906521cc83b2bb407a288be1
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 22 15:42:20 2007 +0000

    Disable clipping the nickname to 9 chars and instead let the IRC server canon it
    
    
    20070322154220-9db4d-bf5ebd5ba71e4254eb306c0f861bd1790bb5feb0.gz

 src/idle-connection.c |   31 ++++++++++++++++++++-----------
 1 files changed, 20 insertions(+), 11 deletions(-)

commit 0ea399e0e5d8018e26c4a6183de5227bfdf3baeb
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Thu Mar 22 14:29:51 2007 +0000

    Create new MUCChannel on JOIN for an unknown channel to work with irssi-proxy
    
    
    20070322142951-9db4d-45d9c2ed8fd05cf083db20f5ce1e03e65bdb7fa8.gz

 src/idle-connection.c |    5 ++---
 1 files changed, 2 insertions(+), 3 deletions(-)

commit 2a14a432d9751b6a7a8aacfb823a5387d5bef48c
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Sun Feb 4 22:53:11 2007 +0000

    Get rid of the advertisement default of IRC realname and get it from (in decreasing priority) 1) the user 2) g_get_realname 3) chosen IRC nickname
    
    
    20070204225311-9db4d-dd45f0e95707e106db8d10f0ca267f32ed1e2b10.gz

 data/idle.manager             |    1 -
 src/idle-connection-manager.c |    2 +-
 src/idle-connection.c         |   16 ++++++++++++++++
 3 files changed, 17 insertions(+), 2 deletions(-)

commit 32f4d65e1628a8ba89b8891b712ef18fbe862e86
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 14:57:20 2007 +0000

    Bump version to 0.0.5
    
    
    20070131145720-9db4d-650a763e85856e9605906bb209301f56e4820647.gz

 configure.ac |    2 +-
 1 files changed, 1 insertions(+), 1 deletions(-)

commit e1b80d8c41aab7bb1ce61b7c28fec3dea655df0e
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 14:49:01 2007 +0000

    Change some checks to not abort the whole process when connect() obscurily fails
    
    
    20070131144901-9db4d-2405bc0ea21613aedce174f5c801de4d8f283d1c.gz

 src/idle-server-connection.c |    7 ++++---
 1 files changed, 4 insertions(+), 3 deletions(-)

commit c848146268825bdc0e8e9091c9c477485972f21a
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Wed Jan 31 14:37:22 2007 +0000

    Defer freeing the addrinfo linked list to when the client calls idle_dns_result_destroy()
    
    
    20070131143722-9db4d-edb35f1c390f891c7b8df273acdf7fd7051c4ca2.gz

 src/idle-dns-resolver.c |   49 +++++++++++++++++++++++++++++++---------------
 1 files changed, 33 insertions(+), 16 deletions(-)

commit 7a897b917168505139de0c726e96663e2c7ed977
Author: Olli Salli <olli.salli@collabora.co.uk>
Date:   Mon Jan 29 15:47:36 2007 +0000

    Initial import (migration from SF.net SVN)
    
    
    20070129154736-9db4d-be80727a61507e6581870228122d0d2a7c12995e.gz

 AUTHORS                                            |    5 +
 COPYING                                            |  510 ++
 INSTALL                                            |  236 +
 Makefile.am                                        |    4 +
 configure.ac                                       |   84 +
 data/Makefile.am                                   |   19 +
 data/idle.manager                                  |   19 +
 ...top.Telepathy.ConnectionManager.idle.service.in |    3 +
 generate/README                                    |   21 +
 generate/do_src.sh                                 |   27 +
 generate/do_xml.sh                                 |   15 +
 generate/idle.def                                  |    4 +
 .../idle-connection-manager-signals-marshal.list   |    1 +
 generate/src/idle-connection-manager.c             |  202 +
 generate/src/idle-connection-manager.h             |   65 +
 generate/src/idle-connection-signals-marshal.list  |    5 +
 generate/src/idle-connection.c                     |  521 ++
 generate/src/idle-connection.h                     |   81 +
 generate/src/idle-im-channel-signals-marshal.list  |    3 +
 generate/src/idle-im-channel.c                     |  258 +
 generate/src/idle-im-channel.h                     |   67 +
 generate/src/idle-muc-channel-signals-marshal.list |   10 +
 generate/src/idle-muc-channel.c                    |  595 +++
 generate/src/idle-muc-channel.h                    |   82 +
 generate/src/telepathy-errors.h                    |   61 +
 generate/xml-modified/idle-connection-manager.xml  |   23 +
 generate/xml-modified/idle-connection.xml          |  100 +
 generate/xml-modified/idle-im-channel.xml          |   51 +
 generate/xml-modified/idle-muc-channel.xml         |  135 +
 generate/xml-pristine/idle-connection-manager.xml  |   27 +
 generate/xml-pristine/idle-connection.xml          |  113 +
 generate/xml-pristine/idle-im-channel.xml          |   60 +
 generate/xml-pristine/idle-muc-channel.xml         |  138 +
 m4/Makefile.am                                     |    4 +
 m4/as-ac-expand.m4                                 |   40 +
 m4/as-compiler-flag.m4                             |   33 +
 m4/as-version.m4                                   |   66 +
 src/Makefile.am                                    |  112 +
 src/gheap.c                                        |  142 +
 src/gheap.h                                        |   38 +
 src/gintset.c                                      |  353 ++
 src/gintset.h                                      |   49 +
 src/idle-connection-manager-signals-marshal.list   |    1 +
 src/idle-connection-manager.c                      |  559 ++
 src/idle-connection-manager.h                      |   64 +
 src/idle-connection-signals-marshal.list           |    4 +
 src/idle-connection.c                              | 5377 ++++++++++++++++++++
 src/idle-connection.h                              |  106 +
 src/idle-dns-resolver.c                            |  566 ++
 src/idle-dns-resolver.h                            |   65 +
 src/idle-handle-set.c                              |  195 +
 src/idle-handle-set.h                              |   50 +
 src/idle-handles-private.h                         |   53 +
 src/idle-handles.c                                 |  589 +++
 src/idle-handles.h                                 |   56 +
 src/idle-im-channel-signals-marshal.list           |    4 +
 src/idle-im-channel.c                              |  814 +++
 src/idle-im-channel.h                              |   69 +
 src/idle-muc-channel-signals-marshal.list          |   11 +
 src/idle-muc-channel.c                             | 3474 +++++++++++++
 src/idle-muc-channel.h                             |  114 +
 ...le-server-connection-iface-signals-marshal.list |    1 +
 src/idle-server-connection-iface.c                 |   98 +
 src/idle-server-connection-iface.h                 |   87 +
 src/idle-server-connection-util.c                  |  104 +
 src/idle-server-connection-util.h                  |   62 +
 src/idle-server-connection.c                       |  797 +++
 src/idle-server-connection.h                       |   63 +
 src/idle-ssl-server-connection.c                   |  766 +++
 src/idle-ssl-server-connection.h                   |   63 +
 src/idle-version.h                                 |   26 +
 src/idle.c                                         |  185 +
 src/idle.h                                         |   30 +
 src/telepathy-constants.h                          |  117 +
 src/telepathy-errors.c                             |   31 +
 src/telepathy-errors.h                             |   60 +
 src/telepathy-helpers.c                            |   63 +
 src/telepathy-helpers.h                            |   34 +
 src/telepathy-interfaces.h                         |   65 +
 79 files changed, 19205 insertions(+), 0 deletions(-)

commit 36e7ba52d4397763aca609c368bc6f2472b644a1
Author: git-darcs-import <>
Date:   Thu Jan 1 00:00:00 1970 +0000

    New empty repository
